# bdl-client
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.4.1
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import bdl_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import bdl_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint
# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
application = bdl_client.Application() # Application | application
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Create application.
    api_response = api_instance.create_application(authorization, application, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->create_application: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApplicationPublicApiControllerApi* | [**create_application**](docs/ApplicationPublicApiControllerApi.md#create_application) | **POST** /api/v1/applications/{datapoolName}/{projectName} | Create application.
*ApplicationPublicApiControllerApi* | [**delete_application**](docs/ApplicationPublicApiControllerApi.md#delete_application) | **DELETE** /api/v1/applications/{datapoolName}/{projectName}/{applicationName} | Delete application.
*ApplicationPublicApiControllerApi* | [**get_all_applications_for_datapool**](docs/ApplicationPublicApiControllerApi.md#get_all_applications_for_datapool) | **GET** /api/v1/applications/{datapoolName} | Get all applications for a datapool.
*ApplicationPublicApiControllerApi* | [**get_all_applications_for_project**](docs/ApplicationPublicApiControllerApi.md#get_all_applications_for_project) | **GET** /api/v1/applications/{datapoolName}/{projectName} | Get all applications for a project.
*ApplicationPublicApiControllerApi* | [**get_all_updated_timestamps_for_project_using_get**](docs/ApplicationPublicApiControllerApi.md#get_all_updated_timestamps_for_project_using_get) | **GET** /api/v1/applications/{datapoolName}/{projectName}/updatedTimestamps | getAllUpdatedTimestampsForProject
*ApplicationPublicApiControllerApi* | [**get_application**](docs/ApplicationPublicApiControllerApi.md#get_application) | **GET** /api/v1/applications/{datapoolName}/{projectName}/{applicationName} | Get application.
*ApplicationPublicApiControllerApi* | [**get_application_resource_utilization_all_project_using_get**](docs/ApplicationPublicApiControllerApi.md#get_application_resource_utilization_all_project_using_get) | **GET** /api/v1/applications/{datapoolName}/{projectName}/resourceUtilization | getApplicationResourceUtilizationAllProject
*ApplicationPublicApiControllerApi* | [**get_application_resource_utilization_using_get**](docs/ApplicationPublicApiControllerApi.md#get_application_resource_utilization_using_get) | **GET** /api/v1/applications/{datapoolName}/{projectName}/{applicationName}/resourceUtilization | getApplicationResourceUtilization
*ApplicationPublicApiControllerApi* | [**get_application_secrets**](docs/ApplicationPublicApiControllerApi.md#get_application_secrets) | **GET** /api/v1/applications/{datapoolName}/{projectName}/{applicationName}/secrets | Get application secrets.
*ApplicationPublicApiControllerApi* | [**get_application_status**](docs/ApplicationPublicApiControllerApi.md#get_application_status) | **GET** /api/v1/applications/{datapoolName}/{projectName}/{applicationName}/status | Get application status.
*ApplicationPublicApiControllerApi* | [**get_status_all_project_using_get**](docs/ApplicationPublicApiControllerApi.md#get_status_all_project_using_get) | **GET** /api/v1/applications/{datapoolName}/{projectName}/status | getStatusAllProject
*ApplicationPublicApiControllerApi* | [**update_application**](docs/ApplicationPublicApiControllerApi.md#update_application) | **PUT** /api/v1/applications/{datapoolName}/{projectName}/{applicationName} | Update application.
*AttachmentsPublicApiControllerApi* | [**attach**](docs/AttachmentsPublicApiControllerApi.md#attach) | **POST** /api/v1/datamanagement/atch/attach/b/{bucketName} | Attaches a file to an object.
*AttachmentsPublicApiControllerApi* | [**detach**](docs/AttachmentsPublicApiControllerApi.md#detach) | **DELETE** /api/v1/datamanagement/atch/detach/b/{bucketName} | Detaches a file from an object.
*AttachmentsPublicApiControllerApi* | [**download_attachment**](docs/AttachmentsPublicApiControllerApi.md#download_attachment) | **GET** /api/v1/datamanagement/atch/download/b/{bucketName} | Downloads object that is attached to the given object.
*AttachmentsPublicApiControllerApi* | [**get_attachment_description**](docs/AttachmentsPublicApiControllerApi.md#get_attachment_description) | **GET** /api/v1/datamanagement/atch/description/b/{bucketName} | Return the description for the attachment at the specified path.
*AttachmentsPublicApiControllerApi* | [**list_attachments**](docs/AttachmentsPublicApiControllerApi.md#list_attachments) | **GET** /api/v1/datamanagement/atch/list/b/{bucketName} | Lists the attachments belonging to an object.
*AttachmentsPublicApiControllerApi* | [**set_attachment_description**](docs/AttachmentsPublicApiControllerApi.md#set_attachment_description) | **POST** /api/v1/datamanagement/atch/description/b/{bucketName} | Sets the description for the object at the specified path.
*AuthenticationPublicApiControllerApi* | [**get_api_key**](docs/AuthenticationPublicApiControllerApi.md#get_api_key) | **GET** /api/v1/auth/apiKey | Get the api key for current user.
*AuthenticationPublicApiControllerApi* | [**get_user_info**](docs/AuthenticationPublicApiControllerApi.md#get_user_info) | **GET** /api/v1/auth/userInfo | Get user information for current user.
*CredentialsPublicApiControllerApi* | [**create_credential**](docs/CredentialsPublicApiControllerApi.md#create_credential) | **POST** /api/v1/credentials | Create new credential.
*CredentialsPublicApiControllerApi* | [**delete_credential**](docs/CredentialsPublicApiControllerApi.md#delete_credential) | **DELETE** /api/v1/credentials/{credentialName} | Delete credential by name.
*CredentialsPublicApiControllerApi* | [**get_all_credentials_for_user**](docs/CredentialsPublicApiControllerApi.md#get_all_credentials_for_user) | **GET** /api/v1/credentials | Get all credentials for user.
*CredentialsPublicApiControllerApi* | [**get_credential**](docs/CredentialsPublicApiControllerApi.md#get_credential) | **GET** /api/v1/credentials/{credentialName} | Get credential by name.
*CredentialsPublicApiControllerApi* | [**update_credential**](docs/CredentialsPublicApiControllerApi.md#update_credential) | **PUT** /api/v1/credentials/{credentialName}/credentials | Update credential.
*DataStorePublicApiControllerApi* | [**copy_dataset**](docs/DataStorePublicApiControllerApi.md#copy_dataset) | **POST** /api/v1/datamanagement/ds/copy/b/{bucketName} | Copies the contents of a dataset to a directory inside a project bucket, alongside its attachments.
*DataStorePublicApiControllerApi* | [**delete_dataset**](docs/DataStorePublicApiControllerApi.md#delete_dataset) | **DELETE** /api/v1/datamanagement/ds/delete/b/{bucketName} | Deletes a published dataset with no subscribers. Only the publisher can do this.
*DataStorePublicApiControllerApi* | [**info_dataset**](docs/DataStorePublicApiControllerApi.md#info_dataset) | **GET** /api/v1/datamanagement/ds/info/b/{bucketName} | Returns information for the given dataset.
*DataStorePublicApiControllerApi* | [**list_datasets**](docs/DataStorePublicApiControllerApi.md#list_datasets) | **GET** /api/v1/datamanagement/ds/list/b/{bucketName} | Lists all published, subscribed and unsubscribed datasets for the user.
*DataStorePublicApiControllerApi* | [**publish**](docs/DataStorePublicApiControllerApi.md#publish) | **POST** /api/v1/datamanagement/ds/publish/b/{bucketName} | Publishes an object, alongside its attachments.
*DataStorePublicApiControllerApi* | [**republish**](docs/DataStorePublicApiControllerApi.md#republish) | **POST** /api/v1/datamanagement/ds/republish/b/{bucketName} | Republishes an existing dataset and updates its metadata information, files and version.
*DataStorePublicApiControllerApi* | [**subscribe**](docs/DataStorePublicApiControllerApi.md#subscribe) | **POST** /api/v1/datamanagement/ds/subscribe/b/{bucketName} | Subscribes the user to a published dataset.
*DataStorePublicApiControllerApi* | [**unsubscribe**](docs/DataStorePublicApiControllerApi.md#unsubscribe) | **POST** /api/v1/datamanagement/ds/unsubscribe/b/{bucketName} | Unsubscribes the user from a published dataset.
*DataStorePublicApiControllerApi* | [**update_dataset_metadatas**](docs/DataStorePublicApiControllerApi.md#update_dataset_metadatas) | **POST** /api/v1/datamanagement/ds/updateMetadatas/b/{bucketName} | Updates the description and tags of a published dataset.
*DatapoolPublicApiControllerApi* | [**create_datapool**](docs/DatapoolPublicApiControllerApi.md#create_datapool) | **POST** /api/v1/datapools | Create datapool.
*DatapoolPublicApiControllerApi* | [**create_firewall_rule_for_datapool**](docs/DatapoolPublicApiControllerApi.md#create_firewall_rule_for_datapool) | **POST** /api/v1/datapools/{datapoolName}/firewallRules | Create firewall rule for datapool.
*DatapoolPublicApiControllerApi* | [**delete_datapool**](docs/DatapoolPublicApiControllerApi.md#delete_datapool) | **DELETE** /api/v1/datapools/{datapoolName} | Delete datapool.
*DatapoolPublicApiControllerApi* | [**delete_firewall_rule_for_datapool**](docs/DatapoolPublicApiControllerApi.md#delete_firewall_rule_for_datapool) | **DELETE** /api/v1/datapools/{datapoolName}/firewallRules/{firewallRuleName} | Delete firewall rule for datapool.
*DatapoolPublicApiControllerApi* | [**get_all_datapools_for_user**](docs/DatapoolPublicApiControllerApi.md#get_all_datapools_for_user) | **GET** /api/v1/datapools | Return all datapools a user has access to.
*DatapoolPublicApiControllerApi* | [**get_datapool**](docs/DatapoolPublicApiControllerApi.md#get_datapool) | **GET** /api/v1/datapools/{datapoolName} | Get datapool by datapool name.
*DatapoolPublicApiControllerApi* | [**get_datapool_shared_bucket_information**](docs/DatapoolPublicApiControllerApi.md#get_datapool_shared_bucket_information) | **GET** /api/v1/datapools/{datapoolName}/sharedBucketInformation | Get datapool shared bucket information by datapool name.
*DatapoolPublicApiControllerApi* | [**get_resources_for_configuration**](docs/DatapoolPublicApiControllerApi.md#get_resources_for_configuration) | **PUT** /api/v1/datapools/getResourcesForConfiguration | Get datapool resources for a given configuration.
*DatapoolPublicApiControllerApi* | [**update_datapool_infrastructure_provider_configuration**](docs/DatapoolPublicApiControllerApi.md#update_datapool_infrastructure_provider_configuration) | **PUT** /api/v1/datapools/{datapoolName}/infrastructureProviderConfiguration | Update the infrastructureProviderConfiguration for a datapool.
*DatapoolPublicApiControllerApi* | [**update_firewall_rule_for_datapool**](docs/DatapoolPublicApiControllerApi.md#update_firewall_rule_for_datapool) | **PUT** /api/v1/datapools/{datapoolName}/firewallRules/{oldFirewallRuleName} | Update firewall rule for datapool.
*GenericPublicApiControllerApi* | [**get_buckets**](docs/GenericPublicApiControllerApi.md#get_buckets) | **GET** /api/v1/datamanagement/buckets | Returns all the buckets that current authenticated user has access to.
*JobsPublicApiControllerApi* | [**create_datapool_onboarding_job**](docs/JobsPublicApiControllerApi.md#create_datapool_onboarding_job) | **POST** /api/v1/jobs/datapoolOnboardingJob | Create datapool onboarding job.
*JobsPublicApiControllerApi* | [**create_project_onboarding_job**](docs/JobsPublicApiControllerApi.md#create_project_onboarding_job) | **POST** /api/v1/jobs/projectOnboardingJob/{datapoolName} | Create project onboarding job.
*JobsPublicApiControllerApi* | [**delete_datapool_onboarding_job**](docs/JobsPublicApiControllerApi.md#delete_datapool_onboarding_job) | **DELETE** /api/v1/jobs/datapoolOnboardingJob/{jobName} | Delete datapool onboarding job.
*JobsPublicApiControllerApi* | [**delete_project_onboarding_job**](docs/JobsPublicApiControllerApi.md#delete_project_onboarding_job) | **DELETE** /api/v1/jobs/projectOnboardingJob/{datapoolName}/{jobName} | Delete project onboarding job.
*JobsPublicApiControllerApi* | [**get_all_datapool_onboarding_jobs**](docs/JobsPublicApiControllerApi.md#get_all_datapool_onboarding_jobs) | **GET** /api/v1/jobs/datapoolOnboardingJob/ | Get all datapool onboarding jobs.
*JobsPublicApiControllerApi* | [**get_all_project_onboarding_jobs_for_datapool**](docs/JobsPublicApiControllerApi.md#get_all_project_onboarding_jobs_for_datapool) | **GET** /api/v1/jobs/projectOnboardingJob/{datapoolName}/ | Get all project onboarding jobs for datapool.
*JobsPublicApiControllerApi* | [**get_datapool_onboarding_job**](docs/JobsPublicApiControllerApi.md#get_datapool_onboarding_job) | **GET** /api/v1/jobs/datapoolOnboardingJob/{jobName} | Get datapool onboarding job.
*JobsPublicApiControllerApi* | [**get_project_onboarding_job**](docs/JobsPublicApiControllerApi.md#get_project_onboarding_job) | **GET** /api/v1/jobs/projectOnboardingJob/{datapoolName}/{jobName} | Get project onboarding job.
*NotebooksPublicApiControllerApi* | [**create_notebook**](docs/NotebooksPublicApiControllerApi.md#create_notebook) | **POST** /api/v1/notebooks/ | Create a notebook
*NotebooksPublicApiControllerApi* | [**delete_notebook_by_datalake_id**](docs/NotebooksPublicApiControllerApi.md#delete_notebook_by_datalake_id) | **DELETE** /api/v1/notebooks/datalakeId/{datalakeId}/{notebookName} | Delete a notebook
*NotebooksPublicApiControllerApi* | [**delete_notebook_by_datalake_name**](docs/NotebooksPublicApiControllerApi.md#delete_notebook_by_datalake_name) | **DELETE** /api/v1/notebooks/datalakeName/{datalakeName}/{notebookName} | Delete a notebook
*NotebooksPublicApiControllerApi* | [**get_all_notebooks**](docs/NotebooksPublicApiControllerApi.md#get_all_notebooks) | **GET** /api/v1/notebooks/ | Get all notebooks a user has access to
*NotebooksPublicApiControllerApi* | [**get_all_notebooks_by_datalake_id**](docs/NotebooksPublicApiControllerApi.md#get_all_notebooks_by_datalake_id) | **GET** /api/v1/notebooks/datalakeId/{datalakeId} | Get all notebooks in a datalake by datalake id
*NotebooksPublicApiControllerApi* | [**get_all_notebooks_by_datalake_name**](docs/NotebooksPublicApiControllerApi.md#get_all_notebooks_by_datalake_name) | **GET** /api/v1/notebooks/datalakeName/{datalakeName} | Get all notebooks in a datalake by datalake name
*NotebooksPublicApiControllerApi* | [**get_notebook_by_datalake_id**](docs/NotebooksPublicApiControllerApi.md#get_notebook_by_datalake_id) | **GET** /api/v1/notebooks/datalakeId/{datalakeId}/{notebookName} | Get a notebook by notebook name and datalake id
*NotebooksPublicApiControllerApi* | [**get_notebook_by_datalake_name**](docs/NotebooksPublicApiControllerApi.md#get_notebook_by_datalake_name) | **GET** /api/v1/notebooks/datalakeName/{datalakeName}/{notebookName} | Get a notebook by notebook name and datalake name
*NotebooksPublicApiControllerApi* | [**update_notebook**](docs/NotebooksPublicApiControllerApi.md#update_notebook) | **PUT** /api/v1/notebooks/ | Update a notebook
*ObjectBrowserPublicApiControllerApi* | [**append**](docs/ObjectBrowserPublicApiControllerApi.md#append) | **POST** /api/v1/datamanagement/obj/append/b/{bucketName} | Appends a small amount of text content to the end of a file.
*ObjectBrowserPublicApiControllerApi* | [**compose**](docs/ObjectBrowserPublicApiControllerApi.md#compose) | **POST** /api/v1/datamanagement/obj/composeFrom/b/{sourceBucketName}/to/b/{destinationBucketName} | Copy all files in a directory to one output file (merge).
*ObjectBrowserPublicApiControllerApi* | [**copy**](docs/ObjectBrowserPublicApiControllerApi.md#copy) | **POST** /api/v1/datamanagement/obj/copyFrom/b/{sourceBucketName}/to/b/{destinationBucketName} | Copy files between FileSystems.
*ObjectBrowserPublicApiControllerApi* | [**create**](docs/ObjectBrowserPublicApiControllerApi.md#create) | **POST** /api/v1/datamanagement/obj/create/b/{bucketName} | Create a file or directory with default permissions and parameters.
*ObjectBrowserPublicApiControllerApi* | [**delete**](docs/ObjectBrowserPublicApiControllerApi.md#delete) | **DELETE** /api/v1/datamanagement/obj/delete/b/{bucketName} | Deletes the object at the given path from the bucket.
*ObjectBrowserPublicApiControllerApi* | [**download**](docs/ObjectBrowserPublicApiControllerApi.md#download) | **GET** /api/v1/datamanagement/obj/download/b/{bucketName} | Downloads file from the given absolute path.
*ObjectBrowserPublicApiControllerApi* | [**get_description**](docs/ObjectBrowserPublicApiControllerApi.md#get_description) | **GET** /api/v1/datamanagement/obj/description/b/{bucketName} | Return the description for the object at the specified path.
*ObjectBrowserPublicApiControllerApi* | [**info**](docs/ObjectBrowserPublicApiControllerApi.md#info) | **GET** /api/v1/datamanagement/obj/info/b/{bucketName} | Returns a FileStatus object that represents the path with information about it.
*ObjectBrowserPublicApiControllerApi* | [**list**](docs/ObjectBrowserPublicApiControllerApi.md#list) | **GET** /api/v1/datamanagement/obj/list/b/{bucketName} | List the paths of the files in the given path.
*ObjectBrowserPublicApiControllerApi* | [**list_status**](docs/ObjectBrowserPublicApiControllerApi.md#list_status) | **GET** /api/v1/datamanagement/obj/listStatus/b/{bucketName} | List the statuses and block locations of the files in the given path.
*ObjectBrowserPublicApiControllerApi* | [**move**](docs/ObjectBrowserPublicApiControllerApi.md#move) | **POST** /api/v1/datamanagement/obj/move/b/{bucketName} | Renames source object to destination object. It moves an object from source to destination path using the same file system in the same bucket.
*ObjectBrowserPublicApiControllerApi* | [**set_description**](docs/ObjectBrowserPublicApiControllerApi.md#set_description) | **POST** /api/v1/datamanagement/obj/description/b/{bucketName} | Sets the description for the object at the specified path.
*ObjectBrowserPublicApiControllerApi* | [**upload**](docs/ObjectBrowserPublicApiControllerApi.md#upload) | **POST** /api/v1/datamanagement/obj/upload/b/{bucketName} | Uploads a single file from local filesystem to given path in a bucket.
*PermissionsPublicApiControllerApi* | [**create_datapool_permission**](docs/PermissionsPublicApiControllerApi.md#create_datapool_permission) | **POST** /api/v1/permissions/{datapoolName} | Create datapool permission.
*PermissionsPublicApiControllerApi* | [**create_project_permission**](docs/PermissionsPublicApiControllerApi.md#create_project_permission) | **POST** /api/v1/permissions/{datapoolName}/{projectName} | Create project permission.
*PermissionsPublicApiControllerApi* | [**delete_datapool_permission**](docs/PermissionsPublicApiControllerApi.md#delete_datapool_permission) | **DELETE** /api/v1/permissions/{datapoolName} | Delete datapool permission.
*PermissionsPublicApiControllerApi* | [**delete_project_permission**](docs/PermissionsPublicApiControllerApi.md#delete_project_permission) | **DELETE** /api/v1/permissions/{datapoolName}/{projectName} | Delete project permission.
*PermissionsPublicApiControllerApi* | [**get_all_datapool_permissions_for_datapool**](docs/PermissionsPublicApiControllerApi.md#get_all_datapool_permissions_for_datapool) | **GET** /api/v1/permissions/{datapoolName} | Get all datapool permissions.
*PermissionsPublicApiControllerApi* | [**get_all_project_permissions_for_project**](docs/PermissionsPublicApiControllerApi.md#get_all_project_permissions_for_project) | **GET** /api/v1/permissions/{datapoolName}/{projectName} | Get all project permissions for a specific project.
*PermissionsPublicApiControllerApi* | [**update_datapool_permission**](docs/PermissionsPublicApiControllerApi.md#update_datapool_permission) | **PUT** /api/v1/permissions/{datapoolName} | Update datapool permission.
*PermissionsPublicApiControllerApi* | [**update_project_permission**](docs/PermissionsPublicApiControllerApi.md#update_project_permission) | **PUT** /api/v1/permissions/{datapoolName}/{projectName} | Update project permission.
*ProjectPublicApiControllerApi* | [**create_firewall_rule_for_project**](docs/ProjectPublicApiControllerApi.md#create_firewall_rule_for_project) | **POST** /api/v1/projects/{datapoolName}/{projectName}/firewallRules | Create firewall rule for project.
*ProjectPublicApiControllerApi* | [**create_project**](docs/ProjectPublicApiControllerApi.md#create_project) | **POST** /api/v1/projects/{datapoolName} | Create project inside the datapool.
*ProjectPublicApiControllerApi* | [**delete_firewall_rule_for_project**](docs/ProjectPublicApiControllerApi.md#delete_firewall_rule_for_project) | **DELETE** /api/v1/projects/{datapoolName}/{projectName}/firewallRules/{firewallRuleName} | Delete firewall rule for project.
*ProjectPublicApiControllerApi* | [**delete_project**](docs/ProjectPublicApiControllerApi.md#delete_project) | **DELETE** /api/v1/projects/{datapoolName}/{projectName} | Delete project from datapool.
*ProjectPublicApiControllerApi* | [**get_all_projects_for_datapool**](docs/ProjectPublicApiControllerApi.md#get_all_projects_for_datapool) | **GET** /api/v1/projects/{datapoolName} | Get all projects from a datapool.
*ProjectPublicApiControllerApi* | [**get_all_projects_for_user**](docs/ProjectPublicApiControllerApi.md#get_all_projects_for_user) | **GET** /api/v1/projects | Get all projects a user has access to.
*ProjectPublicApiControllerApi* | [**get_project**](docs/ProjectPublicApiControllerApi.md#get_project) | **GET** /api/v1/projects/{datapoolName}/{projectName} | Get project from datapool by name.
*ProjectPublicApiControllerApi* | [**get_project_bucket_information**](docs/ProjectPublicApiControllerApi.md#get_project_bucket_information) | **GET** /api/v1/projects/{datapoolName}/{projectName}/bucketInformation | Get project bucket information.
*ProjectPublicApiControllerApi* | [**update_firewall_rule_for_project**](docs/ProjectPublicApiControllerApi.md#update_firewall_rule_for_project) | **PUT** /api/v1/projects/{datapoolName}/{projectName}/firewallRules/{oldFirewallRuleName} | Update firewall rule for project.
*ProjectPublicApiControllerApi* | [**update_project_quota**](docs/ProjectPublicApiControllerApi.md#update_project_quota) | **PUT** /api/v1/projects/{datapoolName}/{projectName}/projectQuota | Update project quota for a project.
*TableBrowserPublicApiControllerApi* | [**describe_table**](docs/TableBrowserPublicApiControllerApi.md#describe_table) | **GET** /api/v1/datamanagement/table/describe/b/{bucketName}/t/{tableName} | Returns column details for the specified table.
*TableBrowserPublicApiControllerApi* | [**get_table_column_comment**](docs/TableBrowserPublicApiControllerApi.md#get_table_column_comment) | **GET** /api/v1/datamanagement/table/comment/b/{bucketName}/t/{tableName}/c/{columnName} | Returns the comment for the specified table column.
*TableBrowserPublicApiControllerApi* | [**get_table_column_histogram**](docs/TableBrowserPublicApiControllerApi.md#get_table_column_histogram) | **GET** /api/v1/datamanagement/table/histogram/b/{bucketName}/t/{tableName}/c/{columnName} | Retrieves statistics for the specified table column. Statistics are recomputed if specified.
*TableBrowserPublicApiControllerApi* | [**get_table_column_statistics**](docs/TableBrowserPublicApiControllerApi.md#get_table_column_statistics) | **GET** /api/v1/datamanagement/table/statistics/b/{bucketName}/t/{tableName}/c/{columnName} | Retrieves statistics for the specified table column. Statistics are recomputed if specified.
*TableBrowserPublicApiControllerApi* | [**get_table_column_tags**](docs/TableBrowserPublicApiControllerApi.md#get_table_column_tags) | **GET** /api/v1/datamanagement/table/tags/b/{bucketName}/t/{tableName}/c/{columnName} | Returns tags for the specified table column.
*TableBrowserPublicApiControllerApi* | [**get_table_comment**](docs/TableBrowserPublicApiControllerApi.md#get_table_comment) | **GET** /api/v1/datamanagement/table/comment/b/{bucketName}/t/{tableName} | Retrieves the comment for the specified table.
*TableBrowserPublicApiControllerApi* | [**list_tables**](docs/TableBrowserPublicApiControllerApi.md#list_tables) | **GET** /api/v1/datamanagement/table/list/b/{bucketName} | Lists all the tables for the specified bucket.
*TableBrowserPublicApiControllerApi* | [**select_from_table**](docs/TableBrowserPublicApiControllerApi.md#select_from_table) | **GET** /api/v1/datamanagement/table/select/b/{bucketName}/t/{tableName} | Lists a sample of data from the given table.
*TableBrowserPublicApiControllerApi* | [**set_table_column_comment**](docs/TableBrowserPublicApiControllerApi.md#set_table_column_comment) | **POST** /api/v1/datamanagement/table/comment/b/{bucketName}/t/{tableName}/c/{columnName} | Updates the comment for the specified table column.
*TableBrowserPublicApiControllerApi* | [**set_table_column_tags**](docs/TableBrowserPublicApiControllerApi.md#set_table_column_tags) | **POST** /api/v1/datamanagement/table/tags/b/{bucketName}/t/{tableName}/c/{columnName} | Updates tags for the specified table column.
*TableBrowserPublicApiControllerApi* | [**set_table_comment**](docs/TableBrowserPublicApiControllerApi.md#set_table_comment) | **POST** /api/v1/datamanagement/table/comment/b/{bucketName}/t/{tableName} | Updates the comment for the specified table.
*UtilizationPublicApiControllerApi* | [**get_application_utilizations_for_project_in_range**](docs/UtilizationPublicApiControllerApi.md#get_application_utilizations_for_project_in_range) | **GET** /api/v1/utilization/applicationUtilization/getAllForProject/{datapoolName}/{projectName}/{startDateSeconds}/{endDateSeconds} | Return application utilization for applications of a project in a time range.
*UtilizationPublicApiControllerApi* | [**get_datapool_utilizations_in_range**](docs/UtilizationPublicApiControllerApi.md#get_datapool_utilizations_in_range) | **GET** /api/v1/utilization/datapoolUtilization/{startDateSeconds}/{endDateSeconds} | Return datapool utilizations in a time range.
*UtilizationPublicApiControllerApi* | [**get_project_utilizations_for_datapool_in_range**](docs/UtilizationPublicApiControllerApi.md#get_project_utilizations_for_datapool_in_range) | **GET** /api/v1/utilization/projectUtilization/getAllForDatapool/{datapoolName}/{startDateSeconds}/{endDateSeconds} | Return project utilization for projects of a datapool in a time range.


## Documentation For Models

 - [AllDatasets](docs/AllDatasets.md)
 - [AppendForm](docs/AppendForm.md)
 - [Application](docs/Application.md)
 - [ApplicationConfiguration](docs/ApplicationConfiguration.md)
 - [ApplicationConnectionInformationInternal](docs/ApplicationConnectionInformationInternal.md)
 - [ApplicationConnectionInformationPublic](docs/ApplicationConnectionInformationPublic.md)
 - [ApplicationCurrentOperationStatus](docs/ApplicationCurrentOperationStatus.md)
 - [ApplicationReplicasStatus](docs/ApplicationReplicasStatus.md)
 - [ApplicationResourceUtilization](docs/ApplicationResourceUtilization.md)
 - [ApplicationResources](docs/ApplicationResources.md)
 - [ApplicationSecret](docs/ApplicationSecret.md)
 - [ApplicationStatus](docs/ApplicationStatus.md)
 - [ApplicationUtilization](docs/ApplicationUtilization.md)
 - [CommentForm](docs/CommentForm.md)
 - [ComposeForm](docs/ComposeForm.md)
 - [CopyForm](docs/CopyForm.md)
 - [CreateForm](docs/CreateForm.md)
 - [Credential](docs/Credential.md)
 - [Datapool](docs/Datapool.md)
 - [DatapoolCurrentOperationStatus](docs/DatapoolCurrentOperationStatus.md)
 - [DatapoolOnboardingJob](docs/DatapoolOnboardingJob.md)
 - [DatapoolPermission](docs/DatapoolPermission.md)
 - [DatapoolResources](docs/DatapoolResources.md)
 - [DatapoolSharedBucketInformation](docs/DatapoolSharedBucketInformation.md)
 - [DatapoolUtilization](docs/DatapoolUtilization.md)
 - [Dataset](docs/Dataset.md)
 - [DeleteForm](docs/DeleteForm.md)
 - [DescriptionForm](docs/DescriptionForm.md)
 - [DetachForm](docs/DetachForm.md)
 - [FileStatus](docs/FileStatus.md)
 - [FirewallRule](docs/FirewallRule.md)
 - [FsPermission](docs/FsPermission.md)
 - [InfrastructureProviderConfiguration](docs/InfrastructureProviderConfiguration.md)
 - [InfrastructureProviderCredentials](docs/InfrastructureProviderCredentials.md)
 - [JobStatus](docs/JobStatus.md)
 - [JupyterConfigurationReplicas](docs/JupyterConfigurationReplicas.md)
 - [JupyterConnectionInformationInternal](docs/JupyterConnectionInformationInternal.md)
 - [JupyterConnectionInformationPublic](docs/JupyterConnectionInformationPublic.md)
 - [KafkaConfigurationCore](docs/KafkaConfigurationCore.md)
 - [KafkaConfigurationManager](docs/KafkaConfigurationManager.md)
 - [KafkaConfigurationZookeeper](docs/KafkaConfigurationZookeeper.md)
 - [KafkaConnectionInformationInternal](docs/KafkaConnectionInformationInternal.md)
 - [KafkaConnectionInformationPublic](docs/KafkaConnectionInformationPublic.md)
 - [ListForm](docs/ListForm.md)
 - [MoveForm](docs/MoveForm.md)
 - [Notebook](docs/Notebook.md)
 - [ObjectInformation](docs/ObjectInformation.md)
 - [Path](docs/Path.md)
 - [PostgreSQLConfigurationReplicas](docs/PostgreSQLConfigurationReplicas.md)
 - [PostgreSQLConnectionInformationInternal](docs/PostgreSQLConnectionInformationInternal.md)
 - [PostgreSQLConnectionInformationPublic](docs/PostgreSQLConnectionInformationPublic.md)
 - [Project](docs/Project.md)
 - [ProjectBucketInformation](docs/ProjectBucketInformation.md)
 - [ProjectCurrentOperationStatus](docs/ProjectCurrentOperationStatus.md)
 - [ProjectOnboardingJob](docs/ProjectOnboardingJob.md)
 - [ProjectPermission](docs/ProjectPermission.md)
 - [ProjectQuota](docs/ProjectQuota.md)
 - [ProjectUtilization](docs/ProjectUtilization.md)
 - [PublishForm](docs/PublishForm.md)
 - [SparkConfigurationDatabase](docs/SparkConfigurationDatabase.md)
 - [SparkConfigurationMaster](docs/SparkConfigurationMaster.md)
 - [SparkConfigurationWorker](docs/SparkConfigurationWorker.md)
 - [SparkConnectionInformationInternal](docs/SparkConnectionInformationInternal.md)
 - [SparkConnectionInformationPublic](docs/SparkConnectionInformationPublic.md)
 - [SparkSQLConfigurationDatabase](docs/SparkSQLConfigurationDatabase.md)
 - [SparkSQLConfigurationMaster](docs/SparkSQLConfigurationMaster.md)
 - [SparkSQLConfigurationWorker](docs/SparkSQLConfigurationWorker.md)
 - [SparkSQLConnectionInformationInternal](docs/SparkSQLConnectionInformationInternal.md)
 - [SparkSQLConnectionInformationPublic](docs/SparkSQLConnectionInformationPublic.md)
 - [StreamsetsConfigurationReplicas](docs/StreamsetsConfigurationReplicas.md)
 - [StreamsetsConnectionInformationInternal](docs/StreamsetsConnectionInformationInternal.md)
 - [StreamsetsConnectionInformationPublic](docs/StreamsetsConnectionInformationPublic.md)
 - [TableColumnStatistics](docs/TableColumnStatistics.md)
 - [TableDescribe](docs/TableDescribe.md)
 - [TableSelect](docs/TableSelect.md)
 - [TablesList](docs/TablesList.md)
 - [TagsForm](docs/TagsForm.md)
 - [UpdateForm](docs/UpdateForm.md)
 - [UserDatapools](docs/UserDatapools.md)
 - [UserInfo](docs/UserInfo.md)
 - [UserProjects](docs/UserProjects.md)
 - [EKSConfiguration](docs/EKSConfiguration.md)
 - [EKSCredentials](docs/EKSCredentials.md)
 - [ExistingClusterBasicAuthCredentials](docs/ExistingClusterBasicAuthCredentials.md)
 - [ExistingClusterCertificateCredentials](docs/ExistingClusterCertificateCredentials.md)
 - [ExistingClusterConfiguration](docs/ExistingClusterConfiguration.md)
 - [GKEConfiguration](docs/GKEConfiguration.md)
 - [GKEJSONCredentials](docs/GKEJSONCredentials.md)
 - [GKEP12Credentials](docs/GKEP12Credentials.md)
 - [Jupyter](docs/Jupyter.md)
 - [JupyterConfiguration](docs/JupyterConfiguration.md)
 - [JupyterStatus](docs/JupyterStatus.md)
 - [JupyterUserCredentialsSecret](docs/JupyterUserCredentialsSecret.md)
 - [Kafka](docs/Kafka.md)
 - [KafkaConfiguration](docs/KafkaConfiguration.md)
 - [KafkaManagerUserCredentialsSecret](docs/KafkaManagerUserCredentialsSecret.md)
 - [KafkaStatus](docs/KafkaStatus.md)
 - [PostgreSQL](docs/PostgreSQL.md)
 - [PostgreSQLConfiguration](docs/PostgreSQLConfiguration.md)
 - [PostgreSQLStatus](docs/PostgreSQLStatus.md)
 - [PostgreSQLUserCredentialsSecret](docs/PostgreSQLUserCredentialsSecret.md)
 - [Spark](docs/Spark.md)
 - [SparkConfiguration](docs/SparkConfiguration.md)
 - [SparkConfigurationDatabasePostgreSQL](docs/SparkConfigurationDatabasePostgreSQL.md)
 - [SparkSQL](docs/SparkSQL.md)
 - [SparkSQLConfiguration](docs/SparkSQLConfiguration.md)
 - [SparkSQLConfigurationDatabasePostgreSQL](docs/SparkSQLConfigurationDatabasePostgreSQL.md)
 - [SparkSQLStatus](docs/SparkSQLStatus.md)
 - [SparkStatus](docs/SparkStatus.md)
 - [Streamsets](docs/Streamsets.md)
 - [StreamsetsConfiguration](docs/StreamsetsConfiguration.md)
 - [StreamsetsStatus](docs/StreamsetsStatus.md)
 - [StreamsetsUserCredentialsSecret](docs/StreamsetsUserCredentialsSecret.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author



