# coding: utf-8

"""
    BDL REST client for Java

    No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)  # noqa: E501

    OpenAPI spec version: 0.4.1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class FirewallRule(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'description': 'str',
        'ips': 'str',
        'name': 'str',
        'ports': 'str',
        'protocol': 'str'
    }

    attribute_map = {
        'description': 'description',
        'ips': 'ips',
        'name': 'name',
        'ports': 'ports',
        'protocol': 'protocol'
    }

    def __init__(self, description=None, ips=None, name=None, ports=None, protocol=None):  # noqa: E501
        """FirewallRule - a model defined in Swagger"""  # noqa: E501

        self._description = None
        self._ips = None
        self._name = None
        self._ports = None
        self._protocol = None
        self.discriminator = None

        if description is not None:
            self.description = description
        if ips is not None:
            self.ips = ips
        if name is not None:
            self.name = name
        if ports is not None:
            self.ports = ports
        if protocol is not None:
            self.protocol = protocol

    @property
    def description(self):
        """Gets the description of this FirewallRule.  # noqa: E501

        Description to be used internally and in the system where the rule will be applied, if allowed.  # noqa: E501

        :return: The description of this FirewallRule.  # noqa: E501
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """Sets the description of this FirewallRule.

        Description to be used internally and in the system where the rule will be applied, if allowed.  # noqa: E501

        :param description: The description of this FirewallRule.  # noqa: E501
        :type: str
        """

        self._description = description

    @property
    def ips(self):
        """Gets the ips of this FirewallRule.  # noqa: E501

        A list of one or more valid CIDR IPs that are to be allowed by the rule.  # noqa: E501

        :return: The ips of this FirewallRule.  # noqa: E501
        :rtype: str
        """
        return self._ips

    @ips.setter
    def ips(self, ips):
        """Sets the ips of this FirewallRule.

        A list of one or more valid CIDR IPs that are to be allowed by the rule.  # noqa: E501

        :param ips: The ips of this FirewallRule.  # noqa: E501
        :type: str
        """

        self._ips = ips

    @property
    def name(self):
        """Gets the name of this FirewallRule.  # noqa: E501

        Name used to differentiate the firewall rules inside a list of firewall rules. Must be unique at a datapool level.  # noqa: E501

        :return: The name of this FirewallRule.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this FirewallRule.

        Name used to differentiate the firewall rules inside a list of firewall rules. Must be unique at a datapool level.  # noqa: E501

        :param name: The name of this FirewallRule.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def ports(self):
        """Gets the ports of this FirewallRule.  # noqa: E501

        Specifies if a single port, a range of ports or all ports are allowed by the rule.  # noqa: E501

        :return: The ports of this FirewallRule.  # noqa: E501
        :rtype: str
        """
        return self._ports

    @ports.setter
    def ports(self, ports):
        """Sets the ports of this FirewallRule.

        Specifies if a single port, a range of ports or all ports are allowed by the rule.  # noqa: E501

        :param ports: The ports of this FirewallRule.  # noqa: E501
        :type: str
        """

        self._ports = ports

    @property
    def protocol(self):
        """Gets the protocol of this FirewallRule.  # noqa: E501

        The protocol allowed by the firewall rule.  # noqa: E501

        :return: The protocol of this FirewallRule.  # noqa: E501
        :rtype: str
        """
        return self._protocol

    @protocol.setter
    def protocol(self, protocol):
        """Sets the protocol of this FirewallRule.

        The protocol allowed by the firewall rule.  # noqa: E501

        :param protocol: The protocol of this FirewallRule.  # noqa: E501
        :type: str
        """
        allowed_values = ["all", "tcp", "udp"]  # noqa: E501
        if protocol not in allowed_values:
            raise ValueError(
                "Invalid value for `protocol` ({0}), must be one of {1}"  # noqa: E501
                .format(protocol, allowed_values)
            )

        self._protocol = protocol

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, FirewallRule):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
