# bdl_client.ApplicationPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_application**](ApplicationPublicApiControllerApi.md#create_application) | **POST** /api/v1/applications/{datapoolName}/{projectName} | Create application.
[**delete_application**](ApplicationPublicApiControllerApi.md#delete_application) | **DELETE** /api/v1/applications/{datapoolName}/{projectName}/{applicationName} | Delete application.
[**get_all_applications_for_datapool**](ApplicationPublicApiControllerApi.md#get_all_applications_for_datapool) | **GET** /api/v1/applications/{datapoolName} | Get all applications for a datapool.
[**get_all_applications_for_project**](ApplicationPublicApiControllerApi.md#get_all_applications_for_project) | **GET** /api/v1/applications/{datapoolName}/{projectName} | Get all applications for a project.
[**get_all_updated_timestamps_for_project_using_get**](ApplicationPublicApiControllerApi.md#get_all_updated_timestamps_for_project_using_get) | **GET** /api/v1/applications/{datapoolName}/{projectName}/updatedTimestamps | getAllUpdatedTimestampsForProject
[**get_application**](ApplicationPublicApiControllerApi.md#get_application) | **GET** /api/v1/applications/{datapoolName}/{projectName}/{applicationName} | Get application.
[**get_application_resource_utilization_all_project_using_get**](ApplicationPublicApiControllerApi.md#get_application_resource_utilization_all_project_using_get) | **GET** /api/v1/applications/{datapoolName}/{projectName}/resourceUtilization | getApplicationResourceUtilizationAllProject
[**get_application_resource_utilization_using_get**](ApplicationPublicApiControllerApi.md#get_application_resource_utilization_using_get) | **GET** /api/v1/applications/{datapoolName}/{projectName}/{applicationName}/resourceUtilization | getApplicationResourceUtilization
[**get_application_secrets**](ApplicationPublicApiControllerApi.md#get_application_secrets) | **GET** /api/v1/applications/{datapoolName}/{projectName}/{applicationName}/secrets | Get application secrets.
[**get_application_status**](ApplicationPublicApiControllerApi.md#get_application_status) | **GET** /api/v1/applications/{datapoolName}/{projectName}/{applicationName}/status | Get application status.
[**get_status_all_project_using_get**](ApplicationPublicApiControllerApi.md#get_status_all_project_using_get) | **GET** /api/v1/applications/{datapoolName}/{projectName}/status | getStatusAllProject
[**update_application**](ApplicationPublicApiControllerApi.md#update_application) | **PUT** /api/v1/applications/{datapoolName}/{projectName}/{applicationName} | Update application.


# **create_application**
> Application create_application(authorization, application, datapool_name, project_name)

Create application.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
application = bdl_client.Application() # Application | application
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Create application.
    api_response = api_instance.create_application(authorization, application, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->create_application: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **application** | [**Application**](Application.md)| application | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**Application**](Application.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_application**
> Application delete_application(authorization, application_name, datapool_name, project_name)

Delete application.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
application_name = 'application_name_example' # str | applicationName
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Delete application.
    api_response = api_instance.delete_application(authorization, application_name, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->delete_application: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **application_name** | **str**| applicationName | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**Application**](Application.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_applications_for_datapool**
> list[Application] get_all_applications_for_datapool(authorization, datapool_name)

Get all applications for a datapool.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName

try:
    # Get all applications for a datapool.
    api_response = api_instance.get_all_applications_for_datapool(authorization, datapool_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->get_all_applications_for_datapool: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 

### Return type

[**list[Application]**](Application.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_applications_for_project**
> list[Application] get_all_applications_for_project(authorization, datapool_name, project_name)

Get all applications for a project.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Get all applications for a project.
    api_response = api_instance.get_all_applications_for_project(authorization, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->get_all_applications_for_project: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**list[Application]**](Application.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_updated_timestamps_for_project_using_get**
> dict(str, int) get_all_updated_timestamps_for_project_using_get(authorization, datapool_name, project_name)

getAllUpdatedTimestampsForProject

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # getAllUpdatedTimestampsForProject
    api_response = api_instance.get_all_updated_timestamps_for_project_using_get(authorization, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->get_all_updated_timestamps_for_project_using_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

**dict(str, int)**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_application**
> Application get_application(authorization, application_name, datapool_name, project_name)

Get application.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
application_name = 'application_name_example' # str | applicationName
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Get application.
    api_response = api_instance.get_application(authorization, application_name, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->get_application: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **application_name** | **str**| applicationName | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**Application**](Application.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_application_resource_utilization_all_project_using_get**
> ApplicationResourceUtilization get_application_resource_utilization_all_project_using_get(authorization, datapool_name, project_name)

getApplicationResourceUtilizationAllProject

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # getApplicationResourceUtilizationAllProject
    api_response = api_instance.get_application_resource_utilization_all_project_using_get(authorization, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->get_application_resource_utilization_all_project_using_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**ApplicationResourceUtilization**](ApplicationResourceUtilization.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_application_resource_utilization_using_get**
> ApplicationResourceUtilization get_application_resource_utilization_using_get(authorization, application_name, datapool_name, project_name)

getApplicationResourceUtilization

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
application_name = 'application_name_example' # str | applicationName
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # getApplicationResourceUtilization
    api_response = api_instance.get_application_resource_utilization_using_get(authorization, application_name, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->get_application_resource_utilization_using_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **application_name** | **str**| applicationName | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**ApplicationResourceUtilization**](ApplicationResourceUtilization.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_application_secrets**
> dict(str, ApplicationSecret) get_application_secrets(authorization, application_name, datapool_name, project_name)

Get application secrets.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
application_name = 'application_name_example' # str | applicationName
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Get application secrets.
    api_response = api_instance.get_application_secrets(authorization, application_name, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->get_application_secrets: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **application_name** | **str**| applicationName | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**dict(str, ApplicationSecret)**](ApplicationSecret.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_application_status**
> ApplicationStatus get_application_status(authorization, application_name, datapool_name, project_name)

Get application status.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
application_name = 'application_name_example' # str | applicationName
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Get application status.
    api_response = api_instance.get_application_status(authorization, application_name, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->get_application_status: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **application_name** | **str**| applicationName | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**ApplicationStatus**](ApplicationStatus.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_status_all_project_using_get**
> dict(str, ApplicationStatus) get_status_all_project_using_get(authorization, datapool_name, project_name)

getStatusAllProject

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # getStatusAllProject
    api_response = api_instance.get_status_all_project_using_get(authorization, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->get_status_all_project_using_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**dict(str, ApplicationStatus)**](ApplicationStatus.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_application**
> Application update_application(authorization, application, application_name, datapool_name, project_name)

Update application.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ApplicationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
application = bdl_client.Application() # Application | application
application_name = 'application_name_example' # str | applicationName
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Update application.
    api_response = api_instance.update_application(authorization, application, application_name, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationPublicApiControllerApi->update_application: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **application** | [**Application**](Application.md)| application | 
 **application_name** | **str**| applicationName | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**Application**](Application.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

