# bdl_client.AuthenticationPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_api_key**](AuthenticationPublicApiControllerApi.md#get_api_key) | **GET** /api/v1/auth/apiKey | Get the api key for current user.
[**get_user_info**](AuthenticationPublicApiControllerApi.md#get_user_info) | **GET** /api/v1/auth/userInfo | Get user information for current user.


# **get_api_key**
> str get_api_key(authorization)

Get the api key for current user.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.AuthenticationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization

try:
    # Get the api key for current user.
    api_response = api_instance.get_api_key(authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AuthenticationPublicApiControllerApi->get_api_key: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_user_info**
> UserInfo get_user_info(authorization)

Get user information for current user.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.AuthenticationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization

try:
    # Get user information for current user.
    api_response = api_instance.get_user_info(authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AuthenticationPublicApiControllerApi->get_user_info: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 

### Return type

[**UserInfo**](UserInfo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

