# bdl_client.CredentialsPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_credential**](CredentialsPublicApiControllerApi.md#create_credential) | **POST** /api/v1/credentials | Create new credential.
[**delete_credential**](CredentialsPublicApiControllerApi.md#delete_credential) | **DELETE** /api/v1/credentials/{credentialName} | Delete credential by name.
[**get_all_credentials_for_user**](CredentialsPublicApiControllerApi.md#get_all_credentials_for_user) | **GET** /api/v1/credentials | Get all credentials for user.
[**get_credential**](CredentialsPublicApiControllerApi.md#get_credential) | **GET** /api/v1/credentials/{credentialName} | Get credential by name.
[**update_credential**](CredentialsPublicApiControllerApi.md#update_credential) | **PUT** /api/v1/credentials/{credentialName}/credentials | Update credential.


# **create_credential**
> Credential create_credential(authorization, credential)

Create new credential.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.CredentialsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
credential = bdl_client.Credential() # Credential | credential

try:
    # Create new credential.
    api_response = api_instance.create_credential(authorization, credential)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CredentialsPublicApiControllerApi->create_credential: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **credential** | [**Credential**](Credential.md)| credential | 

### Return type

[**Credential**](Credential.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_credential**
> delete_credential(authorization, credential_name)

Delete credential by name.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.CredentialsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
credential_name = 'credential_name_example' # str | credentialName

try:
    # Delete credential by name.
    api_instance.delete_credential(authorization, credential_name)
except ApiException as e:
    print("Exception when calling CredentialsPublicApiControllerApi->delete_credential: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **credential_name** | **str**| credentialName | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_credentials_for_user**
> list[Credential] get_all_credentials_for_user(authorization)

Get all credentials for user.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.CredentialsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization

try:
    # Get all credentials for user.
    api_response = api_instance.get_all_credentials_for_user(authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CredentialsPublicApiControllerApi->get_all_credentials_for_user: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 

### Return type

[**list[Credential]**](Credential.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_credential**
> Credential get_credential(authorization, credential_name)

Get credential by name.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.CredentialsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
credential_name = 'credential_name_example' # str | credentialName

try:
    # Get credential by name.
    api_response = api_instance.get_credential(authorization, credential_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CredentialsPublicApiControllerApi->get_credential: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **credential_name** | **str**| credentialName | 

### Return type

[**Credential**](Credential.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_credential**
> Credential update_credential(authorization, credential_name, infrastructure_provider_credentials)

Update credential.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.CredentialsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
credential_name = 'credential_name_example' # str | credentialName
infrastructure_provider_credentials = bdl_client.InfrastructureProviderCredentials() # InfrastructureProviderCredentials | infrastructureProviderCredentials

try:
    # Update credential.
    api_response = api_instance.update_credential(authorization, credential_name, infrastructure_provider_credentials)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CredentialsPublicApiControllerApi->update_credential: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **credential_name** | **str**| credentialName | 
 **infrastructure_provider_credentials** | [**InfrastructureProviderCredentials**](InfrastructureProviderCredentials.md)| infrastructureProviderCredentials | 

### Return type

[**Credential**](Credential.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

