# bdl_client.DataStorePublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**copy_dataset**](DataStorePublicApiControllerApi.md#copy_dataset) | **POST** /api/v1/datamanagement/ds/copy/b/{bucketName} | Copies the contents of a dataset to a directory inside a project bucket, alongside its attachments.
[**delete_dataset**](DataStorePublicApiControllerApi.md#delete_dataset) | **DELETE** /api/v1/datamanagement/ds/delete/b/{bucketName} | Deletes a published dataset with no subscribers. Only the publisher can do this.
[**info_dataset**](DataStorePublicApiControllerApi.md#info_dataset) | **GET** /api/v1/datamanagement/ds/info/b/{bucketName} | Returns information for the given dataset.
[**list_datasets**](DataStorePublicApiControllerApi.md#list_datasets) | **GET** /api/v1/datamanagement/ds/list/b/{bucketName} | Lists all published, subscribed and unsubscribed datasets for the user.
[**publish**](DataStorePublicApiControllerApi.md#publish) | **POST** /api/v1/datamanagement/ds/publish/b/{bucketName} | Publishes an object, alongside its attachments.
[**republish**](DataStorePublicApiControllerApi.md#republish) | **POST** /api/v1/datamanagement/ds/republish/b/{bucketName} | Republishes an existing dataset and updates its metadata information, files and version.
[**subscribe**](DataStorePublicApiControllerApi.md#subscribe) | **POST** /api/v1/datamanagement/ds/subscribe/b/{bucketName} | Subscribes the user to a published dataset.
[**unsubscribe**](DataStorePublicApiControllerApi.md#unsubscribe) | **POST** /api/v1/datamanagement/ds/unsubscribe/b/{bucketName} | Unsubscribes the user from a published dataset.
[**update_dataset_metadatas**](DataStorePublicApiControllerApi.md#update_dataset_metadatas) | **POST** /api/v1/datamanagement/ds/updateMetadatas/b/{bucketName} | Updates the description and tags of a published dataset.


# **copy_dataset**
> bool copy_dataset(authorization, bucket_name, copy_form)

Copies the contents of a dataset to a directory inside a project bucket, alongside its attachments.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DataStorePublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
copy_form = bdl_client.CopyForm() # CopyForm | copyForm

try:
    # Copies the contents of a dataset to a directory inside a project bucket, alongside its attachments.
    api_response = api_instance.copy_dataset(authorization, bucket_name, copy_form)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DataStorePublicApiControllerApi->copy_dataset: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **copy_form** | [**CopyForm**](CopyForm.md)| copyForm | 

### Return type

**bool**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_dataset**
> bool delete_dataset(authorization, bucket_name, dataset_name)

Deletes a published dataset with no subscribers. Only the publisher can do this.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DataStorePublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
dataset_name = 'dataset_name_example' # str | datasetName

try:
    # Deletes a published dataset with no subscribers. Only the publisher can do this.
    api_response = api_instance.delete_dataset(authorization, bucket_name, dataset_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DataStorePublicApiControllerApi->delete_dataset: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **dataset_name** | **str**| datasetName | 

### Return type

**bool**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **info_dataset**
> Dataset info_dataset(authorization, bucket_name, dataset_name)

Returns information for the given dataset.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DataStorePublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
dataset_name = 'dataset_name_example' # str | datasetName

try:
    # Returns information for the given dataset.
    api_response = api_instance.info_dataset(authorization, bucket_name, dataset_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DataStorePublicApiControllerApi->info_dataset: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **dataset_name** | **str**| datasetName | 

### Return type

[**Dataset**](Dataset.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **list_datasets**
> AllDatasets list_datasets(authorization, bucket_name, list_form)

Lists all published, subscribed and unsubscribed datasets for the user.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DataStorePublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
list_form = bdl_client.ListForm() # ListForm | listForm

try:
    # Lists all published, subscribed and unsubscribed datasets for the user.
    api_response = api_instance.list_datasets(authorization, bucket_name, list_form)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DataStorePublicApiControllerApi->list_datasets: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **list_form** | [**ListForm**](ListForm.md)| listForm | 

### Return type

[**AllDatasets**](AllDatasets.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **publish**
> Dataset publish(authorization, bucket_name, publish_form)

Publishes an object, alongside its attachments.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DataStorePublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
publish_form = bdl_client.PublishForm() # PublishForm | publishForm

try:
    # Publishes an object, alongside its attachments.
    api_response = api_instance.publish(authorization, bucket_name, publish_form)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DataStorePublicApiControllerApi->publish: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **publish_form** | [**PublishForm**](PublishForm.md)| publishForm | 

### Return type

[**Dataset**](Dataset.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **republish**
> Dataset republish(authorization, bucket_name, publish_form)

Republishes an existing dataset and updates its metadata information, files and version.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DataStorePublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
publish_form = bdl_client.PublishForm() # PublishForm | publishForm

try:
    # Republishes an existing dataset and updates its metadata information, files and version.
    api_response = api_instance.republish(authorization, bucket_name, publish_form)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DataStorePublicApiControllerApi->republish: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **publish_form** | [**PublishForm**](PublishForm.md)| publishForm | 

### Return type

[**Dataset**](Dataset.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscribe**
> bool subscribe(authorization, bucket_name, dataset_name)

Subscribes the user to a published dataset.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DataStorePublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
dataset_name = 'dataset_name_example' # str | datasetName

try:
    # Subscribes the user to a published dataset.
    api_response = api_instance.subscribe(authorization, bucket_name, dataset_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DataStorePublicApiControllerApi->subscribe: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **dataset_name** | **str**| datasetName | 

### Return type

**bool**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **unsubscribe**
> bool unsubscribe(authorization, bucket_name, dataset_name)

Unsubscribes the user from a published dataset.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DataStorePublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
dataset_name = 'dataset_name_example' # str | datasetName

try:
    # Unsubscribes the user from a published dataset.
    api_response = api_instance.unsubscribe(authorization, bucket_name, dataset_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DataStorePublicApiControllerApi->unsubscribe: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **dataset_name** | **str**| datasetName | 

### Return type

**bool**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_dataset_metadatas**
> Dataset update_dataset_metadatas(authorization, bucket_name, update_form)

Updates the description and tags of a published dataset.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DataStorePublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
update_form = bdl_client.UpdateForm() # UpdateForm | updateForm

try:
    # Updates the description and tags of a published dataset.
    api_response = api_instance.update_dataset_metadatas(authorization, bucket_name, update_form)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DataStorePublicApiControllerApi->update_dataset_metadatas: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **update_form** | [**UpdateForm**](UpdateForm.md)| updateForm | 

### Return type

[**Dataset**](Dataset.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

