# Datapool

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**created_timestamp_seconds** | **int** |  | [optional] 
**credentials_name** | **str** | The name of the credential to be used when interacting with the environment where the Kubernetes cluster and data reside. A credential with this name needs to have been previously created by the user that also creates the datapool. | [optional] 
**datalake_id** | **int** | The id of the datalake in which this datapool exists. Read-only value set on create, based on the datalake name specified. | [optional] 
**datalake_name** | **str** | The name of the datalake in which this datapool exists. Based on this name, the datalake id is set on the datapool on create. If that datalake&#39;s name is edited, the change is propagated. | [optional] 
**datapool_current_operation_status** | [**DatapoolCurrentOperationStatus**](DatapoolCurrentOperationStatus.md) | Status of the current operation that is currently being executed. | [optional] 
**firewall_rules** | [**list[FirewallRule]**](FirewallRule.md) | Firewall rules that are applied, allowing access to resources, affecting all projects and applications. | [optional] 
**infrastructure_provider_configuration** | [**InfrastructureProviderConfiguration**](InfrastructureProviderConfiguration.md) | Valid configuration for the underlying systems. | [optional] 
**name** | **str** | The name under which the datapool is identified in the application. It must be globally unique. | [optional] 
**status** | **str** | The current status of the datapool. | [optional] 
**total_gb_of_ram** | **float** | Current total number of gigabytes of RAM of the Kubernetes cluster, that can be used by applications. It is automatically kept up-to-date following operations on the datapool. | [optional] 
**total_number_of_cores** | **int** | Current total number of cores of the Kubernetes cluster, that can be used by applications. It is automatically kept up-to-date following operations on the datapool. | [optional] 
**total_number_of_nodes** | **int** | Currrent total number of managed nodes in the Kubernetes cluster. | [optional] 
**updated_timestamp_seconds** | **int** |  | [optional] 
**user_owner_id** | **int** | The owner of the datapool. It is populated with the user id of the user that creates it and cannot be changed. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


