# bdl_client.DatapoolPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_datapool**](DatapoolPublicApiControllerApi.md#create_datapool) | **POST** /api/v1/datapools | Create datapool.
[**create_firewall_rule_for_datapool**](DatapoolPublicApiControllerApi.md#create_firewall_rule_for_datapool) | **POST** /api/v1/datapools/{datapoolName}/firewallRules | Create firewall rule for datapool.
[**delete_datapool**](DatapoolPublicApiControllerApi.md#delete_datapool) | **DELETE** /api/v1/datapools/{datapoolName} | Delete datapool.
[**delete_firewall_rule_for_datapool**](DatapoolPublicApiControllerApi.md#delete_firewall_rule_for_datapool) | **DELETE** /api/v1/datapools/{datapoolName}/firewallRules/{firewallRuleName} | Delete firewall rule for datapool.
[**get_all_datapools_for_user**](DatapoolPublicApiControllerApi.md#get_all_datapools_for_user) | **GET** /api/v1/datapools | Return all datapools a user has access to.
[**get_datapool**](DatapoolPublicApiControllerApi.md#get_datapool) | **GET** /api/v1/datapools/{datapoolName} | Get datapool by datapool name.
[**get_datapool_shared_bucket_information**](DatapoolPublicApiControllerApi.md#get_datapool_shared_bucket_information) | **GET** /api/v1/datapools/{datapoolName}/sharedBucketInformation | Get datapool shared bucket information by datapool name.
[**get_resources_for_configuration**](DatapoolPublicApiControllerApi.md#get_resources_for_configuration) | **PUT** /api/v1/datapools/getResourcesForConfiguration | Get datapool resources for a given configuration.
[**update_datapool_infrastructure_provider_configuration**](DatapoolPublicApiControllerApi.md#update_datapool_infrastructure_provider_configuration) | **PUT** /api/v1/datapools/{datapoolName}/infrastructureProviderConfiguration | Update the infrastructureProviderConfiguration for a datapool.
[**update_firewall_rule_for_datapool**](DatapoolPublicApiControllerApi.md#update_firewall_rule_for_datapool) | **PUT** /api/v1/datapools/{datapoolName}/firewallRules/{oldFirewallRuleName} | Update firewall rule for datapool.


# **create_datapool**
> Datapool create_datapool(authorization, datapool)

Create datapool.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DatapoolPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool = bdl_client.Datapool() # Datapool | datapool

try:
    # Create datapool.
    api_response = api_instance.create_datapool(authorization, datapool)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DatapoolPublicApiControllerApi->create_datapool: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool** | [**Datapool**](Datapool.md)| datapool | 

### Return type

[**Datapool**](Datapool.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **create_firewall_rule_for_datapool**
> Datapool create_firewall_rule_for_datapool(authorization, datapool_name, firewall_rule)

Create firewall rule for datapool.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DatapoolPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
firewall_rule = bdl_client.FirewallRule() # FirewallRule | firewallRule

try:
    # Create firewall rule for datapool.
    api_response = api_instance.create_firewall_rule_for_datapool(authorization, datapool_name, firewall_rule)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DatapoolPublicApiControllerApi->create_firewall_rule_for_datapool: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **firewall_rule** | [**FirewallRule**](FirewallRule.md)| firewallRule | 

### Return type

[**Datapool**](Datapool.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_datapool**
> Datapool delete_datapool(authorization, datapool_name)

Delete datapool.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DatapoolPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName

try:
    # Delete datapool.
    api_response = api_instance.delete_datapool(authorization, datapool_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DatapoolPublicApiControllerApi->delete_datapool: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 

### Return type

[**Datapool**](Datapool.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_firewall_rule_for_datapool**
> Datapool delete_firewall_rule_for_datapool(authorization, datapool_name, firewall_rule_name)

Delete firewall rule for datapool.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DatapoolPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
firewall_rule_name = 'firewall_rule_name_example' # str | firewallRuleName

try:
    # Delete firewall rule for datapool.
    api_response = api_instance.delete_firewall_rule_for_datapool(authorization, datapool_name, firewall_rule_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DatapoolPublicApiControllerApi->delete_firewall_rule_for_datapool: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **firewall_rule_name** | **str**| firewallRuleName | 

### Return type

[**Datapool**](Datapool.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_datapools_for_user**
> UserDatapools get_all_datapools_for_user(authorization)

Return all datapools a user has access to.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DatapoolPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization

try:
    # Return all datapools a user has access to.
    api_response = api_instance.get_all_datapools_for_user(authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DatapoolPublicApiControllerApi->get_all_datapools_for_user: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 

### Return type

[**UserDatapools**](UserDatapools.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_datapool**
> Datapool get_datapool(authorization, datapool_name)

Get datapool by datapool name.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DatapoolPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName

try:
    # Get datapool by datapool name.
    api_response = api_instance.get_datapool(authorization, datapool_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DatapoolPublicApiControllerApi->get_datapool: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 

### Return type

[**Datapool**](Datapool.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_datapool_shared_bucket_information**
> DatapoolSharedBucketInformation get_datapool_shared_bucket_information(authorization, datapool_name)

Get datapool shared bucket information by datapool name.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DatapoolPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName

try:
    # Get datapool shared bucket information by datapool name.
    api_response = api_instance.get_datapool_shared_bucket_information(authorization, datapool_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DatapoolPublicApiControllerApi->get_datapool_shared_bucket_information: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 

### Return type

[**DatapoolSharedBucketInformation**](DatapoolSharedBucketInformation.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_resources_for_configuration**
> DatapoolResources get_resources_for_configuration(authorization, configuration)

Get datapool resources for a given configuration.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DatapoolPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
configuration = bdl_client.InfrastructureProviderConfiguration() # InfrastructureProviderConfiguration | configuration

try:
    # Get datapool resources for a given configuration.
    api_response = api_instance.get_resources_for_configuration(authorization, configuration)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DatapoolPublicApiControllerApi->get_resources_for_configuration: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **configuration** | [**InfrastructureProviderConfiguration**](InfrastructureProviderConfiguration.md)| configuration | 

### Return type

[**DatapoolResources**](DatapoolResources.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_datapool_infrastructure_provider_configuration**
> Datapool update_datapool_infrastructure_provider_configuration(authorization, datapool_name, infrastructure_provider_configuration)

Update the infrastructureProviderConfiguration for a datapool.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DatapoolPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
infrastructure_provider_configuration = bdl_client.InfrastructureProviderConfiguration() # InfrastructureProviderConfiguration | infrastructureProviderConfiguration

try:
    # Update the infrastructureProviderConfiguration for a datapool.
    api_response = api_instance.update_datapool_infrastructure_provider_configuration(authorization, datapool_name, infrastructure_provider_configuration)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DatapoolPublicApiControllerApi->update_datapool_infrastructure_provider_configuration: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **infrastructure_provider_configuration** | [**InfrastructureProviderConfiguration**](InfrastructureProviderConfiguration.md)| infrastructureProviderConfiguration | 

### Return type

[**Datapool**](Datapool.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_firewall_rule_for_datapool**
> Datapool update_firewall_rule_for_datapool(authorization, datapool_name, firewall_rule, old_firewall_rule_name)

Update firewall rule for datapool.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.DatapoolPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
firewall_rule = bdl_client.FirewallRule() # FirewallRule | firewallRule
old_firewall_rule_name = 'old_firewall_rule_name_example' # str | oldFirewallRuleName

try:
    # Update firewall rule for datapool.
    api_response = api_instance.update_firewall_rule_for_datapool(authorization, datapool_name, firewall_rule, old_firewall_rule_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DatapoolPublicApiControllerApi->update_firewall_rule_for_datapool: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **firewall_rule** | [**FirewallRule**](FirewallRule.md)| firewallRule | 
 **old_firewall_rule_name** | **str**| oldFirewallRuleName | 

### Return type

[**Datapool**](Datapool.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

