# bdl_client.JobsPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_datapool_onboarding_job**](JobsPublicApiControllerApi.md#create_datapool_onboarding_job) | **POST** /api/v1/jobs/datapoolOnboardingJob | Create datapool onboarding job.
[**create_project_onboarding_job**](JobsPublicApiControllerApi.md#create_project_onboarding_job) | **POST** /api/v1/jobs/projectOnboardingJob/{datapoolName} | Create project onboarding job.
[**delete_datapool_onboarding_job**](JobsPublicApiControllerApi.md#delete_datapool_onboarding_job) | **DELETE** /api/v1/jobs/datapoolOnboardingJob/{jobName} | Delete datapool onboarding job.
[**delete_project_onboarding_job**](JobsPublicApiControllerApi.md#delete_project_onboarding_job) | **DELETE** /api/v1/jobs/projectOnboardingJob/{datapoolName}/{jobName} | Delete project onboarding job.
[**get_all_datapool_onboarding_jobs**](JobsPublicApiControllerApi.md#get_all_datapool_onboarding_jobs) | **GET** /api/v1/jobs/datapoolOnboardingJob/ | Get all datapool onboarding jobs.
[**get_all_project_onboarding_jobs_for_datapool**](JobsPublicApiControllerApi.md#get_all_project_onboarding_jobs_for_datapool) | **GET** /api/v1/jobs/projectOnboardingJob/{datapoolName}/ | Get all project onboarding jobs for datapool.
[**get_datapool_onboarding_job**](JobsPublicApiControllerApi.md#get_datapool_onboarding_job) | **GET** /api/v1/jobs/datapoolOnboardingJob/{jobName} | Get datapool onboarding job.
[**get_project_onboarding_job**](JobsPublicApiControllerApi.md#get_project_onboarding_job) | **GET** /api/v1/jobs/projectOnboardingJob/{datapoolName}/{jobName} | Get project onboarding job.


# **create_datapool_onboarding_job**
> DatapoolOnboardingJob create_datapool_onboarding_job(authorization, job)

Create datapool onboarding job.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.JobsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
job = bdl_client.DatapoolOnboardingJob() # DatapoolOnboardingJob | job

try:
    # Create datapool onboarding job.
    api_response = api_instance.create_datapool_onboarding_job(authorization, job)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling JobsPublicApiControllerApi->create_datapool_onboarding_job: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **job** | [**DatapoolOnboardingJob**](DatapoolOnboardingJob.md)| job | 

### Return type

[**DatapoolOnboardingJob**](DatapoolOnboardingJob.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **create_project_onboarding_job**
> ProjectOnboardingJob create_project_onboarding_job(authorization, datapool_name, job)

Create project onboarding job.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.JobsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
job = bdl_client.ProjectOnboardingJob() # ProjectOnboardingJob | job

try:
    # Create project onboarding job.
    api_response = api_instance.create_project_onboarding_job(authorization, datapool_name, job)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling JobsPublicApiControllerApi->create_project_onboarding_job: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **job** | [**ProjectOnboardingJob**](ProjectOnboardingJob.md)| job | 

### Return type

[**ProjectOnboardingJob**](ProjectOnboardingJob.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_datapool_onboarding_job**
> delete_datapool_onboarding_job(authorization, job_name)

Delete datapool onboarding job.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.JobsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
job_name = 'job_name_example' # str | jobName

try:
    # Delete datapool onboarding job.
    api_instance.delete_datapool_onboarding_job(authorization, job_name)
except ApiException as e:
    print("Exception when calling JobsPublicApiControllerApi->delete_datapool_onboarding_job: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **job_name** | **str**| jobName | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_project_onboarding_job**
> delete_project_onboarding_job(authorization, datapool_name, job_name)

Delete project onboarding job.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.JobsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
job_name = 'job_name_example' # str | jobName

try:
    # Delete project onboarding job.
    api_instance.delete_project_onboarding_job(authorization, datapool_name, job_name)
except ApiException as e:
    print("Exception when calling JobsPublicApiControllerApi->delete_project_onboarding_job: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **job_name** | **str**| jobName | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_datapool_onboarding_jobs**
> list[DatapoolOnboardingJob] get_all_datapool_onboarding_jobs(authorization)

Get all datapool onboarding jobs.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.JobsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization

try:
    # Get all datapool onboarding jobs.
    api_response = api_instance.get_all_datapool_onboarding_jobs(authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling JobsPublicApiControllerApi->get_all_datapool_onboarding_jobs: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 

### Return type

[**list[DatapoolOnboardingJob]**](DatapoolOnboardingJob.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_project_onboarding_jobs_for_datapool**
> list[ProjectOnboardingJob] get_all_project_onboarding_jobs_for_datapool(authorization, datapool_name)

Get all project onboarding jobs for datapool.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.JobsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName

try:
    # Get all project onboarding jobs for datapool.
    api_response = api_instance.get_all_project_onboarding_jobs_for_datapool(authorization, datapool_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling JobsPublicApiControllerApi->get_all_project_onboarding_jobs_for_datapool: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 

### Return type

[**list[ProjectOnboardingJob]**](ProjectOnboardingJob.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_datapool_onboarding_job**
> DatapoolOnboardingJob get_datapool_onboarding_job(authorization, job_name)

Get datapool onboarding job.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.JobsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
job_name = 'job_name_example' # str | jobName

try:
    # Get datapool onboarding job.
    api_response = api_instance.get_datapool_onboarding_job(authorization, job_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling JobsPublicApiControllerApi->get_datapool_onboarding_job: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **job_name** | **str**| jobName | 

### Return type

[**DatapoolOnboardingJob**](DatapoolOnboardingJob.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_project_onboarding_job**
> ProjectOnboardingJob get_project_onboarding_job(authorization, datapool_name, job_name)

Get project onboarding job.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.JobsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
job_name = 'job_name_example' # str | jobName

try:
    # Get project onboarding job.
    api_response = api_instance.get_project_onboarding_job(authorization, datapool_name, job_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling JobsPublicApiControllerApi->get_project_onboarding_job: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **job_name** | **str**| jobName | 

### Return type

[**ProjectOnboardingJob**](ProjectOnboardingJob.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

