# bdl_client.NotebooksPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_notebook**](NotebooksPublicApiControllerApi.md#create_notebook) | **POST** /api/v1/notebooks/ | Create a notebook
[**delete_notebook_by_datalake_id**](NotebooksPublicApiControllerApi.md#delete_notebook_by_datalake_id) | **DELETE** /api/v1/notebooks/datalakeId/{datalakeId}/{notebookName} | Delete a notebook
[**delete_notebook_by_datalake_name**](NotebooksPublicApiControllerApi.md#delete_notebook_by_datalake_name) | **DELETE** /api/v1/notebooks/datalakeName/{datalakeName}/{notebookName} | Delete a notebook
[**get_all_notebooks**](NotebooksPublicApiControllerApi.md#get_all_notebooks) | **GET** /api/v1/notebooks/ | Get all notebooks a user has access to
[**get_all_notebooks_by_datalake_id**](NotebooksPublicApiControllerApi.md#get_all_notebooks_by_datalake_id) | **GET** /api/v1/notebooks/datalakeId/{datalakeId} | Get all notebooks in a datalake by datalake id
[**get_all_notebooks_by_datalake_name**](NotebooksPublicApiControllerApi.md#get_all_notebooks_by_datalake_name) | **GET** /api/v1/notebooks/datalakeName/{datalakeName} | Get all notebooks in a datalake by datalake name
[**get_notebook_by_datalake_id**](NotebooksPublicApiControllerApi.md#get_notebook_by_datalake_id) | **GET** /api/v1/notebooks/datalakeId/{datalakeId}/{notebookName} | Get a notebook by notebook name and datalake id
[**get_notebook_by_datalake_name**](NotebooksPublicApiControllerApi.md#get_notebook_by_datalake_name) | **GET** /api/v1/notebooks/datalakeName/{datalakeName}/{notebookName} | Get a notebook by notebook name and datalake name
[**update_notebook**](NotebooksPublicApiControllerApi.md#update_notebook) | **PUT** /api/v1/notebooks/ | Update a notebook


# **create_notebook**
> Notebook create_notebook(authorization, notebook)

Create a notebook

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.NotebooksPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
notebook = bdl_client.Notebook() # Notebook | notebook

try:
    # Create a notebook
    api_response = api_instance.create_notebook(authorization, notebook)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NotebooksPublicApiControllerApi->create_notebook: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **notebook** | [**Notebook**](Notebook.md)| notebook | 

### Return type

[**Notebook**](Notebook.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_notebook_by_datalake_id**
> delete_notebook_by_datalake_id(authorization, datalake_id, notebook_name)

Delete a notebook

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.NotebooksPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datalake_id = 56 # int | datalakeId
notebook_name = 'notebook_name_example' # str | notebookName

try:
    # Delete a notebook
    api_instance.delete_notebook_by_datalake_id(authorization, datalake_id, notebook_name)
except ApiException as e:
    print("Exception when calling NotebooksPublicApiControllerApi->delete_notebook_by_datalake_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datalake_id** | **int**| datalakeId | 
 **notebook_name** | **str**| notebookName | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_notebook_by_datalake_name**
> delete_notebook_by_datalake_name(authorization, datalake_name, notebook_name)

Delete a notebook

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.NotebooksPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datalake_name = 'datalake_name_example' # str | datalakeName
notebook_name = 'notebook_name_example' # str | notebookName

try:
    # Delete a notebook
    api_instance.delete_notebook_by_datalake_name(authorization, datalake_name, notebook_name)
except ApiException as e:
    print("Exception when calling NotebooksPublicApiControllerApi->delete_notebook_by_datalake_name: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datalake_name** | **str**| datalakeName | 
 **notebook_name** | **str**| notebookName | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_notebooks**
> dict(str, list[Notebook]) get_all_notebooks(authorization)

Get all notebooks a user has access to

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.NotebooksPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization

try:
    # Get all notebooks a user has access to
    api_response = api_instance.get_all_notebooks(authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NotebooksPublicApiControllerApi->get_all_notebooks: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 

### Return type

**dict(str, list[Notebook])**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_notebooks_by_datalake_id**
> list[Notebook] get_all_notebooks_by_datalake_id(authorization, datalake_id)

Get all notebooks in a datalake by datalake id

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.NotebooksPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datalake_id = 56 # int | datalakeId

try:
    # Get all notebooks in a datalake by datalake id
    api_response = api_instance.get_all_notebooks_by_datalake_id(authorization, datalake_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NotebooksPublicApiControllerApi->get_all_notebooks_by_datalake_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datalake_id** | **int**| datalakeId | 

### Return type

[**list[Notebook]**](Notebook.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_notebooks_by_datalake_name**
> list[Notebook] get_all_notebooks_by_datalake_name(authorization, datalake_name)

Get all notebooks in a datalake by datalake name

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.NotebooksPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datalake_name = 'datalake_name_example' # str | datalakeName

try:
    # Get all notebooks in a datalake by datalake name
    api_response = api_instance.get_all_notebooks_by_datalake_name(authorization, datalake_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NotebooksPublicApiControllerApi->get_all_notebooks_by_datalake_name: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datalake_name** | **str**| datalakeName | 

### Return type

[**list[Notebook]**](Notebook.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_notebook_by_datalake_id**
> Notebook get_notebook_by_datalake_id(authorization, datalake_id, notebook_name)

Get a notebook by notebook name and datalake id

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.NotebooksPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datalake_id = 56 # int | datalakeId
notebook_name = 'notebook_name_example' # str | notebookName

try:
    # Get a notebook by notebook name and datalake id
    api_response = api_instance.get_notebook_by_datalake_id(authorization, datalake_id, notebook_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NotebooksPublicApiControllerApi->get_notebook_by_datalake_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datalake_id** | **int**| datalakeId | 
 **notebook_name** | **str**| notebookName | 

### Return type

[**Notebook**](Notebook.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_notebook_by_datalake_name**
> Notebook get_notebook_by_datalake_name(authorization, datalake_name, notebook_name)

Get a notebook by notebook name and datalake name

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.NotebooksPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datalake_name = 'datalake_name_example' # str | datalakeName
notebook_name = 'notebook_name_example' # str | notebookName

try:
    # Get a notebook by notebook name and datalake name
    api_response = api_instance.get_notebook_by_datalake_name(authorization, datalake_name, notebook_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NotebooksPublicApiControllerApi->get_notebook_by_datalake_name: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datalake_name** | **str**| datalakeName | 
 **notebook_name** | **str**| notebookName | 

### Return type

[**Notebook**](Notebook.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_notebook**
> Notebook update_notebook(authorization, notebook)

Update a notebook

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.NotebooksPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
notebook = bdl_client.Notebook() # Notebook | notebook

try:
    # Update a notebook
    api_response = api_instance.update_notebook(authorization, notebook)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NotebooksPublicApiControllerApi->update_notebook: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **notebook** | [**Notebook**](Notebook.md)| notebook | 

### Return type

[**Notebook**](Notebook.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

