# bdl_client.PermissionsPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_datapool_permission**](PermissionsPublicApiControllerApi.md#create_datapool_permission) | **POST** /api/v1/permissions/{datapoolName} | Create datapool permission.
[**create_project_permission**](PermissionsPublicApiControllerApi.md#create_project_permission) | **POST** /api/v1/permissions/{datapoolName}/{projectName} | Create project permission.
[**delete_datapool_permission**](PermissionsPublicApiControllerApi.md#delete_datapool_permission) | **DELETE** /api/v1/permissions/{datapoolName} | Delete datapool permission.
[**delete_project_permission**](PermissionsPublicApiControllerApi.md#delete_project_permission) | **DELETE** /api/v1/permissions/{datapoolName}/{projectName} | Delete project permission.
[**get_all_datapool_permissions_for_datapool**](PermissionsPublicApiControllerApi.md#get_all_datapool_permissions_for_datapool) | **GET** /api/v1/permissions/{datapoolName} | Get all datapool permissions.
[**get_all_project_permissions_for_project**](PermissionsPublicApiControllerApi.md#get_all_project_permissions_for_project) | **GET** /api/v1/permissions/{datapoolName}/{projectName} | Get all project permissions for a specific project.
[**update_datapool_permission**](PermissionsPublicApiControllerApi.md#update_datapool_permission) | **PUT** /api/v1/permissions/{datapoolName} | Update datapool permission.
[**update_project_permission**](PermissionsPublicApiControllerApi.md#update_project_permission) | **PUT** /api/v1/permissions/{datapoolName}/{projectName} | Update project permission.


# **create_datapool_permission**
> DatapoolPermission create_datapool_permission(authorization, datapool_name, datapool_permission)

Create datapool permission.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.PermissionsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
datapool_permission = bdl_client.DatapoolPermission() # DatapoolPermission | datapoolPermission

try:
    # Create datapool permission.
    api_response = api_instance.create_datapool_permission(authorization, datapool_name, datapool_permission)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PermissionsPublicApiControllerApi->create_datapool_permission: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **datapool_permission** | [**DatapoolPermission**](DatapoolPermission.md)| datapoolPermission | 

### Return type

[**DatapoolPermission**](DatapoolPermission.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **create_project_permission**
> ProjectPermission create_project_permission(authorization, datapool_name, project_name, project_permission)

Create project permission.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.PermissionsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName
project_permission = bdl_client.ProjectPermission() # ProjectPermission | projectPermission

try:
    # Create project permission.
    api_response = api_instance.create_project_permission(authorization, datapool_name, project_name, project_permission)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PermissionsPublicApiControllerApi->create_project_permission: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 
 **project_permission** | [**ProjectPermission**](ProjectPermission.md)| projectPermission | 

### Return type

[**ProjectPermission**](ProjectPermission.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_datapool_permission**
> DatapoolPermission delete_datapool_permission(authorization, datapool_name, datapool_permission)

Delete datapool permission.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.PermissionsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
datapool_permission = bdl_client.DatapoolPermission() # DatapoolPermission | datapoolPermission

try:
    # Delete datapool permission.
    api_response = api_instance.delete_datapool_permission(authorization, datapool_name, datapool_permission)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PermissionsPublicApiControllerApi->delete_datapool_permission: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **datapool_permission** | [**DatapoolPermission**](DatapoolPermission.md)| datapoolPermission | 

### Return type

[**DatapoolPermission**](DatapoolPermission.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_project_permission**
> ProjectPermission delete_project_permission(authorization, datapool_name, project_name, project_permission)

Delete project permission.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.PermissionsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName
project_permission = bdl_client.ProjectPermission() # ProjectPermission | projectPermission

try:
    # Delete project permission.
    api_response = api_instance.delete_project_permission(authorization, datapool_name, project_name, project_permission)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PermissionsPublicApiControllerApi->delete_project_permission: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 
 **project_permission** | [**ProjectPermission**](ProjectPermission.md)| projectPermission | 

### Return type

[**ProjectPermission**](ProjectPermission.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_datapool_permissions_for_datapool**
> list[DatapoolPermission] get_all_datapool_permissions_for_datapool(authorization, datapool_name)

Get all datapool permissions.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.PermissionsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName

try:
    # Get all datapool permissions.
    api_response = api_instance.get_all_datapool_permissions_for_datapool(authorization, datapool_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PermissionsPublicApiControllerApi->get_all_datapool_permissions_for_datapool: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 

### Return type

[**list[DatapoolPermission]**](DatapoolPermission.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_project_permissions_for_project**
> list[ProjectPermission] get_all_project_permissions_for_project(authorization, datapool_name, project_name)

Get all project permissions for a specific project.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.PermissionsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Get all project permissions for a specific project.
    api_response = api_instance.get_all_project_permissions_for_project(authorization, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PermissionsPublicApiControllerApi->get_all_project_permissions_for_project: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**list[ProjectPermission]**](ProjectPermission.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_datapool_permission**
> DatapoolPermission update_datapool_permission(authorization, datapool_name, datapool_permission)

Update datapool permission.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.PermissionsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
datapool_permission = bdl_client.DatapoolPermission() # DatapoolPermission | datapoolPermission

try:
    # Update datapool permission.
    api_response = api_instance.update_datapool_permission(authorization, datapool_name, datapool_permission)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PermissionsPublicApiControllerApi->update_datapool_permission: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **datapool_permission** | [**DatapoolPermission**](DatapoolPermission.md)| datapoolPermission | 

### Return type

[**DatapoolPermission**](DatapoolPermission.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_project_permission**
> ProjectPermission update_project_permission(authorization, datapool_name, project_name, project_permission)

Update project permission.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.PermissionsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName
project_permission = bdl_client.ProjectPermission() # ProjectPermission | projectPermission

try:
    # Update project permission.
    api_response = api_instance.update_project_permission(authorization, datapool_name, project_name, project_permission)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PermissionsPublicApiControllerApi->update_project_permission: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 
 **project_permission** | [**ProjectPermission**](ProjectPermission.md)| projectPermission | 

### Return type

[**ProjectPermission**](ProjectPermission.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

