# bdl_client.ProjectPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_firewall_rule_for_project**](ProjectPublicApiControllerApi.md#create_firewall_rule_for_project) | **POST** /api/v1/projects/{datapoolName}/{projectName}/firewallRules | Create firewall rule for project.
[**create_project**](ProjectPublicApiControllerApi.md#create_project) | **POST** /api/v1/projects/{datapoolName} | Create project inside the datapool.
[**delete_firewall_rule_for_project**](ProjectPublicApiControllerApi.md#delete_firewall_rule_for_project) | **DELETE** /api/v1/projects/{datapoolName}/{projectName}/firewallRules/{firewallRuleName} | Delete firewall rule for project.
[**delete_project**](ProjectPublicApiControllerApi.md#delete_project) | **DELETE** /api/v1/projects/{datapoolName}/{projectName} | Delete project from datapool.
[**get_all_projects_for_datapool**](ProjectPublicApiControllerApi.md#get_all_projects_for_datapool) | **GET** /api/v1/projects/{datapoolName} | Get all projects from a datapool.
[**get_all_projects_for_user**](ProjectPublicApiControllerApi.md#get_all_projects_for_user) | **GET** /api/v1/projects | Get all projects a user has access to.
[**get_project**](ProjectPublicApiControllerApi.md#get_project) | **GET** /api/v1/projects/{datapoolName}/{projectName} | Get project from datapool by name.
[**get_project_bucket_information**](ProjectPublicApiControllerApi.md#get_project_bucket_information) | **GET** /api/v1/projects/{datapoolName}/{projectName}/bucketInformation | Get project bucket information.
[**update_firewall_rule_for_project**](ProjectPublicApiControllerApi.md#update_firewall_rule_for_project) | **PUT** /api/v1/projects/{datapoolName}/{projectName}/firewallRules/{oldFirewallRuleName} | Update firewall rule for project.
[**update_project_quota**](ProjectPublicApiControllerApi.md#update_project_quota) | **PUT** /api/v1/projects/{datapoolName}/{projectName}/projectQuota | Update project quota for a project.


# **create_firewall_rule_for_project**
> Project create_firewall_rule_for_project(authorization, datapool_name, firewall_rule, project_name)

Create firewall rule for project.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ProjectPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
firewall_rule = bdl_client.FirewallRule() # FirewallRule | firewallRule
project_name = 'project_name_example' # str | projectName

try:
    # Create firewall rule for project.
    api_response = api_instance.create_firewall_rule_for_project(authorization, datapool_name, firewall_rule, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ProjectPublicApiControllerApi->create_firewall_rule_for_project: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **firewall_rule** | [**FirewallRule**](FirewallRule.md)| firewallRule | 
 **project_name** | **str**| projectName | 

### Return type

[**Project**](Project.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **create_project**
> Project create_project(authorization, datapool_name, project)

Create project inside the datapool.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ProjectPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project = bdl_client.Project() # Project | project

try:
    # Create project inside the datapool.
    api_response = api_instance.create_project(authorization, datapool_name, project)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ProjectPublicApiControllerApi->create_project: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project** | [**Project**](Project.md)| project | 

### Return type

[**Project**](Project.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_firewall_rule_for_project**
> Project delete_firewall_rule_for_project(authorization, datapool_name, firewall_rule_name, project_name)

Delete firewall rule for project.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ProjectPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
firewall_rule_name = 'firewall_rule_name_example' # str | firewallRuleName
project_name = 'project_name_example' # str | projectName

try:
    # Delete firewall rule for project.
    api_response = api_instance.delete_firewall_rule_for_project(authorization, datapool_name, firewall_rule_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ProjectPublicApiControllerApi->delete_firewall_rule_for_project: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **firewall_rule_name** | **str**| firewallRuleName | 
 **project_name** | **str**| projectName | 

### Return type

[**Project**](Project.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_project**
> Project delete_project(authorization, datapool_name, project_name)

Delete project from datapool.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ProjectPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Delete project from datapool.
    api_response = api_instance.delete_project(authorization, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ProjectPublicApiControllerApi->delete_project: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**Project**](Project.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_projects_for_datapool**
> list[Project] get_all_projects_for_datapool(authorization, datapool_name)

Get all projects from a datapool.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ProjectPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName

try:
    # Get all projects from a datapool.
    api_response = api_instance.get_all_projects_for_datapool(authorization, datapool_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ProjectPublicApiControllerApi->get_all_projects_for_datapool: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 

### Return type

[**list[Project]**](Project.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_projects_for_user**
> UserProjects get_all_projects_for_user(authorization)

Get all projects a user has access to.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ProjectPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization

try:
    # Get all projects a user has access to.
    api_response = api_instance.get_all_projects_for_user(authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ProjectPublicApiControllerApi->get_all_projects_for_user: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 

### Return type

[**UserProjects**](UserProjects.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_project**
> Project get_project(authorization, datapool_name, project_name)

Get project from datapool by name.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ProjectPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Get project from datapool by name.
    api_response = api_instance.get_project(authorization, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ProjectPublicApiControllerApi->get_project: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**Project**](Project.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_project_bucket_information**
> ProjectBucketInformation get_project_bucket_information(authorization, datapool_name, project_name)

Get project bucket information.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ProjectPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName

try:
    # Get project bucket information.
    api_response = api_instance.get_project_bucket_information(authorization, datapool_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ProjectPublicApiControllerApi->get_project_bucket_information: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 

### Return type

[**ProjectBucketInformation**](ProjectBucketInformation.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_firewall_rule_for_project**
> Project update_firewall_rule_for_project(authorization, datapool_name, firewall_rule, old_firewall_rule_name, project_name)

Update firewall rule for project.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ProjectPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
firewall_rule = bdl_client.FirewallRule() # FirewallRule | firewallRule
old_firewall_rule_name = 'old_firewall_rule_name_example' # str | oldFirewallRuleName
project_name = 'project_name_example' # str | projectName

try:
    # Update firewall rule for project.
    api_response = api_instance.update_firewall_rule_for_project(authorization, datapool_name, firewall_rule, old_firewall_rule_name, project_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ProjectPublicApiControllerApi->update_firewall_rule_for_project: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **firewall_rule** | [**FirewallRule**](FirewallRule.md)| firewallRule | 
 **old_firewall_rule_name** | **str**| oldFirewallRuleName | 
 **project_name** | **str**| projectName | 

### Return type

[**Project**](Project.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_project_quota**
> Project update_project_quota(authorization, datapool_name, project_name, project_quota)

Update project quota for a project.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.ProjectPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
project_name = 'project_name_example' # str | projectName
project_quota = bdl_client.ProjectQuota() # ProjectQuota | projectQuota

try:
    # Update project quota for a project.
    api_response = api_instance.update_project_quota(authorization, datapool_name, project_name, project_quota)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ProjectPublicApiControllerApi->update_project_quota: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **project_name** | **str**| projectName | 
 **project_quota** | [**ProjectQuota**](ProjectQuota.md)| projectQuota | 

### Return type

[**Project**](Project.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

