# bdl_client.TableBrowserPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**describe_table**](TableBrowserPublicApiControllerApi.md#describe_table) | **GET** /api/v1/datamanagement/table/describe/b/{bucketName}/t/{tableName} | Returns column details for the specified table.
[**get_table_column_comment**](TableBrowserPublicApiControllerApi.md#get_table_column_comment) | **GET** /api/v1/datamanagement/table/comment/b/{bucketName}/t/{tableName}/c/{columnName} | Returns the comment for the specified table column.
[**get_table_column_histogram**](TableBrowserPublicApiControllerApi.md#get_table_column_histogram) | **GET** /api/v1/datamanagement/table/histogram/b/{bucketName}/t/{tableName}/c/{columnName} | Retrieves statistics for the specified table column. Statistics are recomputed if specified.
[**get_table_column_statistics**](TableBrowserPublicApiControllerApi.md#get_table_column_statistics) | **GET** /api/v1/datamanagement/table/statistics/b/{bucketName}/t/{tableName}/c/{columnName} | Retrieves statistics for the specified table column. Statistics are recomputed if specified.
[**get_table_column_tags**](TableBrowserPublicApiControllerApi.md#get_table_column_tags) | **GET** /api/v1/datamanagement/table/tags/b/{bucketName}/t/{tableName}/c/{columnName} | Returns tags for the specified table column.
[**get_table_comment**](TableBrowserPublicApiControllerApi.md#get_table_comment) | **GET** /api/v1/datamanagement/table/comment/b/{bucketName}/t/{tableName} | Retrieves the comment for the specified table.
[**list_tables**](TableBrowserPublicApiControllerApi.md#list_tables) | **GET** /api/v1/datamanagement/table/list/b/{bucketName} | Lists all the tables for the specified bucket.
[**select_from_table**](TableBrowserPublicApiControllerApi.md#select_from_table) | **GET** /api/v1/datamanagement/table/select/b/{bucketName}/t/{tableName} | Lists a sample of data from the given table.
[**set_table_column_comment**](TableBrowserPublicApiControllerApi.md#set_table_column_comment) | **POST** /api/v1/datamanagement/table/comment/b/{bucketName}/t/{tableName}/c/{columnName} | Updates the comment for the specified table column.
[**set_table_column_tags**](TableBrowserPublicApiControllerApi.md#set_table_column_tags) | **POST** /api/v1/datamanagement/table/tags/b/{bucketName}/t/{tableName}/c/{columnName} | Updates tags for the specified table column.
[**set_table_comment**](TableBrowserPublicApiControllerApi.md#set_table_comment) | **POST** /api/v1/datamanagement/table/comment/b/{bucketName}/t/{tableName} | Updates the comment for the specified table.


# **describe_table**
> list[TableDescribe] describe_table(authorization, bucket_name, table_name)

Returns column details for the specified table.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.TableBrowserPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
table_name = 'table_name_example' # str | tableName

try:
    # Returns column details for the specified table.
    api_response = api_instance.describe_table(authorization, bucket_name, table_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TableBrowserPublicApiControllerApi->describe_table: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **table_name** | **str**| tableName | 

### Return type

[**list[TableDescribe]**](TableDescribe.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_table_column_comment**
> str get_table_column_comment(authorization, bucket_name, column_name, table_name)

Returns the comment for the specified table column.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.TableBrowserPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
column_name = 'column_name_example' # str | columnName
table_name = 'table_name_example' # str | tableName

try:
    # Returns the comment for the specified table column.
    api_response = api_instance.get_table_column_comment(authorization, bucket_name, column_name, table_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TableBrowserPublicApiControllerApi->get_table_column_comment: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **column_name** | **str**| columnName | 
 **table_name** | **str**| tableName | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_table_column_histogram**
> str get_table_column_histogram(authorization, bucket_name, column_name, histogram_bin_size, recompute, table_name)

Retrieves statistics for the specified table column. Statistics are recomputed if specified.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.TableBrowserPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
column_name = 'column_name_example' # str | columnName
histogram_bin_size = 56 # int | histogramBinSize
recompute = true # bool | recompute
table_name = 'table_name_example' # str | tableName

try:
    # Retrieves statistics for the specified table column. Statistics are recomputed if specified.
    api_response = api_instance.get_table_column_histogram(authorization, bucket_name, column_name, histogram_bin_size, recompute, table_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TableBrowserPublicApiControllerApi->get_table_column_histogram: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **column_name** | **str**| columnName | 
 **histogram_bin_size** | **int**| histogramBinSize | 
 **recompute** | **bool**| recompute | 
 **table_name** | **str**| tableName | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_table_column_statistics**
> TableColumnStatistics get_table_column_statistics(authorization, bucket_name, column_name, recompute, table_name)

Retrieves statistics for the specified table column. Statistics are recomputed if specified.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.TableBrowserPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
column_name = 'column_name_example' # str | columnName
recompute = true # bool | recompute
table_name = 'table_name_example' # str | tableName

try:
    # Retrieves statistics for the specified table column. Statistics are recomputed if specified.
    api_response = api_instance.get_table_column_statistics(authorization, bucket_name, column_name, recompute, table_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TableBrowserPublicApiControllerApi->get_table_column_statistics: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **column_name** | **str**| columnName | 
 **recompute** | **bool**| recompute | 
 **table_name** | **str**| tableName | 

### Return type

[**TableColumnStatistics**](TableColumnStatistics.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_table_column_tags**
> list[str] get_table_column_tags(authorization, bucket_name, column_name, table_name)

Returns tags for the specified table column.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.TableBrowserPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
column_name = 'column_name_example' # str | columnName
table_name = 'table_name_example' # str | tableName

try:
    # Returns tags for the specified table column.
    api_response = api_instance.get_table_column_tags(authorization, bucket_name, column_name, table_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TableBrowserPublicApiControllerApi->get_table_column_tags: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **column_name** | **str**| columnName | 
 **table_name** | **str**| tableName | 

### Return type

**list[str]**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_table_comment**
> str get_table_comment(authorization, bucket_name, table_name)

Retrieves the comment for the specified table.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.TableBrowserPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
table_name = 'table_name_example' # str | tableName

try:
    # Retrieves the comment for the specified table.
    api_response = api_instance.get_table_comment(authorization, bucket_name, table_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TableBrowserPublicApiControllerApi->get_table_comment: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **table_name** | **str**| tableName | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **list_tables**
> list[TablesList] list_tables(authorization, bucket_name)

Lists all the tables for the specified bucket.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.TableBrowserPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName

try:
    # Lists all the tables for the specified bucket.
    api_response = api_instance.list_tables(authorization, bucket_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TableBrowserPublicApiControllerApi->list_tables: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 

### Return type

[**list[TablesList]**](TablesList.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **select_from_table**
> TableSelect select_from_table(authorization, bucket_name, limit, table_name)

Lists a sample of data from the given table.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.TableBrowserPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
limit = 56 # int | limit
table_name = 'table_name_example' # str | tableName

try:
    # Lists a sample of data from the given table.
    api_response = api_instance.select_from_table(authorization, bucket_name, limit, table_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TableBrowserPublicApiControllerApi->select_from_table: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **limit** | **int**| limit | 
 **table_name** | **str**| tableName | 

### Return type

[**TableSelect**](TableSelect.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **set_table_column_comment**
> bool set_table_column_comment(authorization, bucket_name, column_name, comment_form, table_name)

Updates the comment for the specified table column.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.TableBrowserPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
column_name = 'column_name_example' # str | columnName
comment_form = bdl_client.CommentForm() # CommentForm | commentForm
table_name = 'table_name_example' # str | tableName

try:
    # Updates the comment for the specified table column.
    api_response = api_instance.set_table_column_comment(authorization, bucket_name, column_name, comment_form, table_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TableBrowserPublicApiControllerApi->set_table_column_comment: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **column_name** | **str**| columnName | 
 **comment_form** | [**CommentForm**](CommentForm.md)| commentForm | 
 **table_name** | **str**| tableName | 

### Return type

**bool**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **set_table_column_tags**
> bool set_table_column_tags(authorization, bucket_name, column_name, table_name, tags_form)

Updates tags for the specified table column.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.TableBrowserPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
column_name = 'column_name_example' # str | columnName
table_name = 'table_name_example' # str | tableName
tags_form = bdl_client.TagsForm() # TagsForm | tagsForm

try:
    # Updates tags for the specified table column.
    api_response = api_instance.set_table_column_tags(authorization, bucket_name, column_name, table_name, tags_form)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TableBrowserPublicApiControllerApi->set_table_column_tags: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **column_name** | **str**| columnName | 
 **table_name** | **str**| tableName | 
 **tags_form** | [**TagsForm**](TagsForm.md)| tagsForm | 

### Return type

**bool**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **set_table_comment**
> bool set_table_comment(authorization, bucket_name, comment_form, table_name)

Updates the comment for the specified table.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.TableBrowserPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
comment_form = bdl_client.CommentForm() # CommentForm | commentForm
table_name = 'table_name_example' # str | tableName

try:
    # Updates the comment for the specified table.
    api_response = api_instance.set_table_comment(authorization, bucket_name, comment_form, table_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TableBrowserPublicApiControllerApi->set_table_comment: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **comment_form** | [**CommentForm**](CommentForm.md)| commentForm | 
 **table_name** | **str**| tableName | 

### Return type

**bool**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

