# bdl_client.UtilizationPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_application_utilizations_for_project_in_range**](UtilizationPublicApiControllerApi.md#get_application_utilizations_for_project_in_range) | **GET** /api/v1/utilization/applicationUtilization/getAllForProject/{datapoolName}/{projectName}/{startDateSeconds}/{endDateSeconds} | Return application utilization for applications of a project in a time range.
[**get_datapool_utilizations_in_range**](UtilizationPublicApiControllerApi.md#get_datapool_utilizations_in_range) | **GET** /api/v1/utilization/datapoolUtilization/{startDateSeconds}/{endDateSeconds} | Return datapool utilizations in a time range.
[**get_project_utilizations_for_datapool_in_range**](UtilizationPublicApiControllerApi.md#get_project_utilizations_for_datapool_in_range) | **GET** /api/v1/utilization/projectUtilization/getAllForDatapool/{datapoolName}/{startDateSeconds}/{endDateSeconds} | Return project utilization for projects of a datapool in a time range.


# **get_application_utilizations_for_project_in_range**
> dict(str, list[ApplicationUtilization]) get_application_utilizations_for_project_in_range(authorization, datapool_name, end_date_seconds, project_name, start_date_seconds)

Return application utilization for applications of a project in a time range.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.UtilizationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
end_date_seconds = 789 # int | endDateSeconds
project_name = 'project_name_example' # str | projectName
start_date_seconds = 789 # int | startDateSeconds

try:
    # Return application utilization for applications of a project in a time range.
    api_response = api_instance.get_application_utilizations_for_project_in_range(authorization, datapool_name, end_date_seconds, project_name, start_date_seconds)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UtilizationPublicApiControllerApi->get_application_utilizations_for_project_in_range: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **end_date_seconds** | **int**| endDateSeconds | 
 **project_name** | **str**| projectName | 
 **start_date_seconds** | **int**| startDateSeconds | 

### Return type

**dict(str, list[ApplicationUtilization])**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_datapool_utilizations_in_range**
> dict(str, list[DatapoolUtilization]) get_datapool_utilizations_in_range(authorization, end_date_seconds, start_date_seconds)

Return datapool utilizations in a time range.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.UtilizationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
end_date_seconds = 789 # int | endDateSeconds
start_date_seconds = 789 # int | startDateSeconds

try:
    # Return datapool utilizations in a time range.
    api_response = api_instance.get_datapool_utilizations_in_range(authorization, end_date_seconds, start_date_seconds)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UtilizationPublicApiControllerApi->get_datapool_utilizations_in_range: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **end_date_seconds** | **int**| endDateSeconds | 
 **start_date_seconds** | **int**| startDateSeconds | 

### Return type

**dict(str, list[DatapoolUtilization])**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_project_utilizations_for_datapool_in_range**
> dict(str, list[ProjectUtilization]) get_project_utilizations_for_datapool_in_range(authorization, datapool_name, end_date_seconds, start_date_seconds)

Return project utilization for projects of a datapool in a time range.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.UtilizationPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
datapool_name = 'datapool_name_example' # str | datapoolName
end_date_seconds = 789 # int | endDateSeconds
start_date_seconds = 789 # int | startDateSeconds

try:
    # Return project utilization for projects of a datapool in a time range.
    api_response = api_instance.get_project_utilizations_for_datapool_in_range(authorization, datapool_name, end_date_seconds, start_date_seconds)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UtilizationPublicApiControllerApi->get_project_utilizations_for_datapool_in_range: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **datapool_name** | **str**| datapoolName | 
 **end_date_seconds** | **int**| endDateSeconds | 
 **start_date_seconds** | **int**| startDateSeconds | 

### Return type

**dict(str, list[ProjectUtilization])**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

